/*
dtmflogd        A program to log digits captured by a serial dtmf decoder
Copyright (C) 2003  Raphael Assenat

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Author: Raphael Assenat <raph@raphnet.net>
*/
#include "area_info.h"
int get514(int co_code, AreaInfo *area)
{
	switch(co_code)
	{
		case 201:
			area->npa=514;
			area->co_code=201;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 202:
			area->npa=514;
			area->co_code=202;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 203:
			area->npa=514;
			area->co_code=203;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 204:
			area->npa=514;
			area->co_code=204;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 205:
			area->npa=514;
			area->co_code=205;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 210:
			area->npa=514;
			area->co_code=210;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 212:
			area->npa=514;
			area->co_code=212;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 213:
			area->npa=514;
			area->co_code=213;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 214:
			area->npa=514;
			area->co_code=214;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 215:
			area->npa=514;
			area->co_code=215;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 216:
			area->npa=514;
			area->co_code=216;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 217:
			area->npa=514;
			area->co_code=217;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 218:
			area->npa=514;
			area->co_code=218;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 219:
			area->npa=514;
			area->co_code=219;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 220:
			area->npa=514;
			area->co_code=220;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 221:
			area->npa=514;
			area->co_code=221;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 222:
			area->npa=514;
			area->co_code=222;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 223:
			area->npa=514;
			area->co_code=223;
			area->ocn=8377;
			area->company="Call-Net Communications";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 226:
			area->npa=514;
			area->co_code=226;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 227:
			area->npa=514;
			area->co_code=227;
			area->ocn=8377;
			area->company="Call-Net Communications";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 228:
			area->npa=514;
			area->co_code=228;
			area->ocn=8304;
			area->company="AT&T Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 229:
			area->npa=514;
			area->co_code=229;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 230:
			area->npa=514;
			area->co_code=230;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 231:
			area->npa=514;
			area->co_code=231;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 232:
			area->npa=514;
			area->co_code=232;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 233:
			area->npa=514;
			area->co_code=233;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 234:
			area->npa=514;
			area->co_code=234;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 235:
			area->npa=514;
			area->co_code=235;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 236:
			area->npa=514;
			area->co_code=236;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 237:
			area->npa=514;
			area->co_code=237;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 238:
			area->npa=514;
			area->co_code=238;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 239:
			area->npa=514;
			area->co_code=239;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 240:
			area->npa=514;
			area->co_code=240;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 241:
			area->npa=514;
			area->co_code=241;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 242:
			area->npa=514;
			area->co_code=242;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 243:
			area->npa=514;
			area->co_code=243;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 244:
			area->npa=514;
			area->co_code=244;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 245:
			area->npa=514;
			area->co_code=245;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 246:
			area->npa=514;
			area->co_code=246;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 247:
			area->npa=514;
			area->co_code=247;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 248:
			area->npa=514;
			area->co_code=248;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 249:
			area->npa=514;
			area->co_code=249;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 251:
			area->npa=514;
			area->co_code=251;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 252:
			area->npa=514;
			area->co_code=252;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 253:
			area->npa=514;
			area->co_code=253;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 254:
			area->npa=514;
			area->co_code=254;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 255:
			area->npa=514;
			area->co_code=255;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 256:
			area->npa=514;
			area->co_code=256;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 257:
			area->npa=514;
			area->co_code=257;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 258:
			area->npa=514;
			area->co_code=258;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 259:
			area->npa=514;
			area->co_code=259;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 261:
			area->npa=514;
			area->co_code=261;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 262:
			area->npa=514;
			area->co_code=262;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 268:
			area->npa=514;
			area->co_code=268;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 270:
			area->npa=514;
			area->co_code=270;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 271:
			area->npa=514;
			area->co_code=271;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 272:
			area->npa=514;
			area->co_code=272;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 273:
			area->npa=514;
			area->co_code=273;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 274:
			area->npa=514;
			area->co_code=274;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 275:
			area->npa=514;
			area->co_code=275;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 276:
			area->npa=514;
			area->co_code=276;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 277:
			area->npa=514;
			area->co_code=277;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 278:
			area->npa=514;
			area->co_code=278;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 279:
			area->npa=514;
			area->co_code=279;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 280:
			area->npa=514;
			area->co_code=280;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 281:
			area->npa=514;
			area->co_code=281;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 282:
			area->npa=514;
			area->co_code=282;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 283:
			area->npa=514;
			area->co_code=283;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 284:
			area->npa=514;
			area->co_code=284;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 285:
			area->npa=514;
			area->co_code=285;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 286:
			area->npa=514;
			area->co_code=286;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 287:
			area->npa=514;
			area->co_code=287;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 288:
			area->npa=514;
			area->co_code=288;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 289:
			area->npa=514;
			area->co_code=289;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 290:
			area->npa=514;
			area->co_code=290;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 293:
			area->npa=514;
			area->co_code=293;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 294:
			area->npa=514;
			area->co_code=294;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 295:
			area->npa=514;
			area->co_code=295;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 296:
			area->npa=514;
			area->co_code=296;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 297:
			area->npa=514;
			area->co_code=297;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 298:
			area->npa=514;
			area->co_code=298;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 299:
			area->npa=514;
			area->co_code=299;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 301:
			area->npa=514;
			area->co_code=301;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 302:
			area->npa=514;
			area->co_code=302;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 304:
			area->npa=514;
			area->co_code=304;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 306:
			area->npa=514;
			area->co_code=306;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 310:
			area->npa=514;
			area->co_code=310;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="7 Digit Service";
			break;
		
		case 312:
			area->npa=514;
			area->co_code=312;
			area->ocn=4727;
			area->company="ISP Telecom";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 313:
			area->npa=514;
			area->co_code=313;
			area->ocn=8377;
			area->company="Call-Net Communications";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 320:
			area->npa=514;
			area->co_code=320;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="Plant Test";
			area->rate_center="n/a";
			break;
		
		case 321:
			area->npa=514;
			area->co_code=321;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 322:
			area->npa=514;
			area->co_code=322;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 323:
			area->npa=514;
			area->co_code=323;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 324:
			area->npa=514;
			area->co_code=324;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 325:
			area->npa=514;
			area->co_code=325;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 326:
			area->npa=514;
			area->co_code=326;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 327:
			area->npa=514;
			area->co_code=327;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 328:
			area->npa=514;
			area->co_code=328;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 329:
			area->npa=514;
			area->co_code=329;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 330:
			area->npa=514;
			area->co_code=330;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 331:
			area->npa=514;
			area->co_code=331;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 332:
			area->npa=514;
			area->co_code=332;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 333:
			area->npa=514;
			area->co_code=333;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 334:
			area->npa=514;
			area->co_code=334;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 335:
			area->npa=514;
			area->co_code=335;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 336:
			area->npa=514;
			area->co_code=336;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 337:
			area->npa=514;
			area->co_code=337;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 338:
			area->npa=514;
			area->co_code=338;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 339:
			area->npa=514;
			area->co_code=339;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 340:
			area->npa=514;
			area->co_code=340;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 341:
			area->npa=514;
			area->co_code=341;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 342:
			area->npa=514;
			area->co_code=342;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 343:
			area->npa=514;
			area->co_code=343;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 344:
			area->npa=514;
			area->co_code=344;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 345:
			area->npa=514;
			area->co_code=345;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 346:
			area->npa=514;
			area->co_code=346;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 347:
			area->npa=514;
			area->co_code=347;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 348:
			area->npa=514;
			area->co_code=348;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 349:
			area->npa=514;
			area->co_code=349;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 350:
			area->npa=514;
			area->co_code=350;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 351:
			area->npa=514;
			area->co_code=351;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 352:
			area->npa=514;
			area->co_code=352;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 353:
			area->npa=514;
			area->co_code=353;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 354:
			area->npa=514;
			area->co_code=354;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 355:
			area->npa=514;
			area->co_code=355;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 356:
			area->npa=514;
			area->co_code=356;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 361:
			area->npa=514;
			area->co_code=361;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 362:
			area->npa=514;
			area->co_code=362;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 363:
			area->npa=514;
			area->co_code=363;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 364:
			area->npa=514;
			area->co_code=364;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 365:
			area->npa=514;
			area->co_code=365;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 366:
			area->npa=514;
			area->co_code=366;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 367:
			area->npa=514;
			area->co_code=367;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 368:
			area->npa=514;
			area->co_code=368;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 369:
			area->npa=514;
			area->co_code=369;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 373:
			area->npa=514;
			area->co_code=373;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 374:
			area->npa=514;
			area->co_code=374;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 376:
			area->npa=514;
			area->co_code=376;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 377:
			area->npa=514;
			area->co_code=377;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 378:
			area->npa=514;
			area->co_code=378;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 380:
			area->npa=514;
			area->co_code=380;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 381:
			area->npa=514;
			area->co_code=381;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 382:
			area->npa=514;
			area->co_code=382;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 383:
			area->npa=514;
			area->co_code=383;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 384:
			area->npa=514;
			area->co_code=384;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 385:
			area->npa=514;
			area->co_code=385;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 386:
			area->npa=514;
			area->co_code=386;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 387:
			area->npa=514;
			area->co_code=387;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 388:
			area->npa=514;
			area->co_code=388;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 389:
			area->npa=514;
			area->co_code=389;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 390:
			area->npa=514;
			area->co_code=390;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 391:
			area->npa=514;
			area->co_code=391;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 392:
			area->npa=514;
			area->co_code=392;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 393:
			area->npa=514;
			area->co_code=393;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 394:
			area->npa=514;
			area->co_code=394;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 395:
			area->npa=514;
			area->co_code=395;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 396:
			area->npa=514;
			area->co_code=396;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 397:
			area->npa=514;
			area->co_code=397;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 398:
			area->npa=514;
			area->co_code=398;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 399:
			area->npa=514;
			area->co_code=399;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 401:
			area->npa=514;
			area->co_code=401;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 402:
			area->npa=514;
			area->co_code=402;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 403:
			area->npa=514;
			area->co_code=403;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Lachine";
			break;
		
		case 404:
			area->npa=514;
			area->co_code=404;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 406:
			area->npa=514;
			area->co_code=406;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 407:
			area->npa=514;
			area->co_code=407;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 408:
			area->npa=514;
			area->co_code=408;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 409:
			area->npa=514;
			area->co_code=409;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 410:
			area->npa=514;
			area->co_code=410;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 412:
			area->npa=514;
			area->co_code=412;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 413:
			area->npa=514;
			area->co_code=413;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 414:
			area->npa=514;
			area->co_code=414;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 415:
			area->npa=514;
			area->co_code=415;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 420:
			area->npa=514;
			area->co_code=420;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lachine";
			break;
		
		case 421:
			area->npa=514;
			area->co_code=421;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Roxboro";
			break;
		
		case 422:
			area->npa=514;
			area->co_code=422;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lachine";
			break;
		
		case 423:
			area->npa=514;
			area->co_code=423;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 425:
			area->npa=514;
			area->co_code=425;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ile Perrot";
			break;
		
		case 426:
			area->npa=514;
			area->co_code=426;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pointe Claire";
			break;
		
		case 428:
			area->npa=514;
			area->co_code=428;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pointe Claire";
			break;
		
		case 429:
			area->npa=514;
			area->co_code=429;
			area->ocn=8506;
			area->company="GT Group Telecom Services Corp.";
			area->status="In Service";
			area->rate_center="Pointe Claire";
			break;
		
		case 433:
			area->npa=514;
			area->co_code=433;
			area->ocn=4849;
			area->company="Axxent Corp.";
			area->status="In Service";
			area->rate_center="Ile Perrot";
			break;
		
		case 440:
			area->npa=514;
			area->co_code=440;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 448:
			area->npa=514;
			area->co_code=448;
			area->ocn=8506;
			area->company="GT Group Telecom Services Corp.";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 453:
			area->npa=514;
			area->co_code=453;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ile Perrot";
			break;
		
		case 457:
			area->npa=514;
			area->co_code=457;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pointe Claire";
			break;
		
		case 480:
			area->npa=514;
			area->co_code=480;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 481:
			area->npa=514;
			area->co_code=481;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 482:
			area->npa=514;
			area->co_code=482;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 483:
			area->npa=514;
			area->co_code=483;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 484:
			area->npa=514;
			area->co_code=484;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 485:
			area->npa=514;
			area->co_code=485;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 486:
			area->npa=514;
			area->co_code=486;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 487:
			area->npa=514;
			area->co_code=487;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 488:
			area->npa=514;
			area->co_code=488;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 489:
			area->npa=514;
			area->co_code=489;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 490:
			area->npa=514;
			area->co_code=490;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 493:
			area->npa=514;
			area->co_code=493;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 494:
			area->npa=514;
			area->co_code=494;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 495:
			area->npa=514;
			area->co_code=495;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 496:
			area->npa=514;
			area->co_code=496;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 497:
			area->npa=514;
			area->co_code=497;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 498:
			area->npa=514;
			area->co_code=498;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 499:
			area->npa=514;
			area->co_code=499;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 501:
			area->npa=514;
			area->co_code=501;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 502:
			area->npa=514;
			area->co_code=502;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 517:
			area->npa=514;
			area->co_code=517;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 520:
			area->npa=514;
			area->co_code=520;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 521:
			area->npa=514;
			area->co_code=521;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 522:
			area->npa=514;
			area->co_code=522;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 523:
			area->npa=514;
			area->co_code=523;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 524:
			area->npa=514;
			area->co_code=524;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 525:
			area->npa=514;
			area->co_code=525;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 526:
			area->npa=514;
			area->co_code=526;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 527:
			area->npa=514;
			area->co_code=527;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 528:
			area->npa=514;
			area->co_code=528;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 529:
			area->npa=514;
			area->co_code=529;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 530:
			area->npa=514;
			area->co_code=530;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 540:
			area->npa=514;
			area->co_code=540;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 562:
			area->npa=514;
			area->co_code=562;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 567:
			area->npa=514;
			area->co_code=567;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 568:
			area->npa=514;
			area->co_code=568;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 569:
			area->npa=514;
			area->co_code=569;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 570:
			area->npa=514;
			area->co_code=570;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 571:
			area->npa=514;
			area->co_code=571;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 572:
			area->npa=514;
			area->co_code=572;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 573:
			area->npa=514;
			area->co_code=573;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 574:
			area->npa=514;
			area->co_code=574;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 575:
			area->npa=514;
			area->co_code=575;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 576:
			area->npa=514;
			area->co_code=576;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 577:
			area->npa=514;
			area->co_code=577;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 578:
			area->npa=514;
			area->co_code=578;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 580:
			area->npa=514;
			area->co_code=580;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 581:
			area->npa=514;
			area->co_code=581;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 582:
			area->npa=514;
			area->co_code=582;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 583:
			area->npa=514;
			area->co_code=583;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 585:
			area->npa=514;
			area->co_code=585;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 586:
			area->npa=514;
			area->co_code=586;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 588:
			area->npa=514;
			area->co_code=588;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 590:
			area->npa=514;
			area->co_code=590;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 591:
			area->npa=514;
			area->co_code=591;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 592:
			area->npa=514;
			area->co_code=592;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 593:
			area->npa=514;
			area->co_code=593;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 594:
			area->npa=514;
			area->co_code=594;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 595:
			area->npa=514;
			area->co_code=595;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 596:
			area->npa=514;
			area->co_code=596;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 597:
			area->npa=514;
			area->co_code=597;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 598:
			area->npa=514;
			area->co_code=598;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 599:
			area->npa=514;
			area->co_code=599;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 601:
			area->npa=514;
			area->co_code=601;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 602:
			area->npa=514;
			area->co_code=602;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 603:
			area->npa=514;
			area->co_code=603;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 604:
			area->npa=514;
			area->co_code=604;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 605:
			area->npa=514;
			area->co_code=605;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 606:
			area->npa=514;
			area->co_code=606;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 607:
			area->npa=514;
			area->co_code=607;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 614:
			area->npa=514;
			area->co_code=614;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 618:
			area->npa=514;
			area->co_code=618;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 620:
			area->npa=514;
			area->co_code=620;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St. Genevieve";
			break;
		
		case 621:
			area->npa=514;
			area->co_code=621;
			area->ocn=4849;
			area->company="Axxent Corp.";
			area->status="In Service";
			area->rate_center="St. Genevieve";
			break;
		
		case 624:
			area->npa=514;
			area->co_code=624;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St. Genevieve";
			break;
		
		case 626:
			area->npa=514;
			area->co_code=626;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St. Genevieve";
			break;
		
		case 630:
			area->npa=514;
			area->co_code=630;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pointe Claire";
			break;
		
		case 631:
			area->npa=514;
			area->co_code=631;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lachine";
			break;
		
		case 633:
			area->npa=514;
			area->co_code=633;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lachine";
			break;
		
		case 634:
			area->npa=514;
			area->co_code=634;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lachine";
			break;
		
		case 635:
			area->npa=514;
			area->co_code=635;
			area->ocn=8506;
			area->company="GT Group Telecom Services Corp.";
			area->status="In Service";
			area->rate_center="Lachine";
			break;
		
		case 636:
			area->npa=514;
			area->co_code=636;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lachine";
			break;
		
		case 637:
			area->npa=514;
			area->co_code=637;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lachine";
			break;
		
		case 638:
			area->npa=514;
			area->co_code=638;
			area->ocn=4849;
			area->company="Axxent Corp.";
			area->status="In Service";
			area->rate_center="Lachine";
			break;
		
		case 639:
			area->npa=514;
			area->co_code=639;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lachine";
			break;
		
		case 640:
			area->npa=514;
			area->co_code=640;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 642:
			area->npa=514;
			area->co_code=642;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 643:
			area->npa=514;
			area->co_code=643;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 644:
			area->npa=514;
			area->co_code=644;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 645:
			area->npa=514;
			area->co_code=645;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 648:
			area->npa=514;
			area->co_code=648;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 650:
			area->npa=514;
			area->co_code=650;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 651:
			area->npa=514;
			area->co_code=651;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 652:
			area->npa=514;
			area->co_code=652;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 655:
			area->npa=514;
			area->co_code=655;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 667:
			area->npa=514;
			area->co_code=667;
			area->ocn=4981;
			area->company="Norigen Communications Inc.";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 668:
			area->npa=514;
			area->co_code=668;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 673:
			area->npa=514;
			area->co_code=673;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 683:
			area->npa=514;
			area->co_code=683;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Roxboro";
			break;
		
		case 684:
			area->npa=514;
			area->co_code=684;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Roxboro";
			break;
		
		case 685:
			area->npa=514;
			area->co_code=685;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Roxboro";
			break;
		
		case 686:
			area->npa=514;
			area->co_code=686;
			area->ocn=4849;
			area->company="Axxent Corp.";
			area->status="In Service";
			area->rate_center="Roxboro";
			break;
		
		case 693:
			area->npa=514;
			area->co_code=693;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pointe Claire";
			break;
		
		case 694:
			area->npa=514;
			area->co_code=694;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pointe Claire";
			break;
		
		case 695:
			area->npa=514;
			area->co_code=695;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pointe Claire";
			break;
		
		case 696:
			area->npa=514;
			area->co_code=696;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St. Genevieve";
			break;
		
		case 697:
			area->npa=514;
			area->co_code=697;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pointe Claire";
			break;
		
		case 701:
			area->npa=514;
			area->co_code=701;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 702:
			area->npa=514;
			area->co_code=702;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 703:
			area->npa=514;
			area->co_code=703;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 704:
			area->npa=514;
			area->co_code=704;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 705:
			area->npa=514;
			area->co_code=705;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 706:
			area->npa=514;
			area->co_code=706;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 707:
			area->npa=514;
			area->co_code=707;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 708:
			area->npa=514;
			area->co_code=708;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 709:
			area->npa=514;
			area->co_code=709;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 719:
			area->npa=514;
			area->co_code=719;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 720:
			area->npa=514;
			area->co_code=720;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 721:
			area->npa=514;
			area->co_code=721;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 722:
			area->npa=514;
			area->co_code=722;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 723:
			area->npa=514;
			area->co_code=723;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 724:
			area->npa=514;
			area->co_code=724;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 725:
			area->npa=514;
			area->co_code=725;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 726:
			area->npa=514;
			area->co_code=726;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 727:
			area->npa=514;
			area->co_code=727;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 728:
			area->npa=514;
			area->co_code=728;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 729:
			area->npa=514;
			area->co_code=729;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 730:
			area->npa=514;
			area->co_code=730;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 731:
			area->npa=514;
			area->co_code=731;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 732:
			area->npa=514;
			area->co_code=732;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 733:
			area->npa=514;
			area->co_code=733;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 734:
			area->npa=514;
			area->co_code=734;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 735:
			area->npa=514;
			area->co_code=735;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 736:
			area->npa=514;
			area->co_code=736;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 737:
			area->npa=514;
			area->co_code=737;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 738:
			area->npa=514;
			area->co_code=738;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 739:
			area->npa=514;
			area->co_code=739;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 740:
			area->npa=514;
			area->co_code=740;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 741:
			area->npa=514;
			area->co_code=741;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 743:
			area->npa=514;
			area->co_code=743;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 744:
			area->npa=514;
			area->co_code=744;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 745:
			area->npa=514;
			area->co_code=745;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 747:
			area->npa=514;
			area->co_code=747;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 748:
			area->npa=514;
			area->co_code=748;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 749:
			area->npa=514;
			area->co_code=749;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 751:
			area->npa=514;
			area->co_code=751;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 752:
			area->npa=514;
			area->co_code=752;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Roxboro";
			break;
		
		case 758:
			area->npa=514;
			area->co_code=758;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 760:
			area->npa=514;
			area->co_code=760;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 761:
			area->npa=514;
			area->co_code=761;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 762:
			area->npa=514;
			area->co_code=762;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 765:
			area->npa=514;
			area->co_code=765;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 766:
			area->npa=514;
			area->co_code=766;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 767:
			area->npa=514;
			area->co_code=767;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 768:
			area->npa=514;
			area->co_code=768;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 769:
			area->npa=514;
			area->co_code=769;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 770:
			area->npa=514;
			area->co_code=770;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 771:
			area->npa=514;
			area->co_code=771;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 772:
			area->npa=514;
			area->co_code=772;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 773:
			area->npa=514;
			area->co_code=773;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 774:
			area->npa=514;
			area->co_code=774;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 775:
			area->npa=514;
			area->co_code=775;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 776:
			area->npa=514;
			area->co_code=776;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 777:
			area->npa=514;
			area->co_code=777;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 778:
			area->npa=514;
			area->co_code=778;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 779:
			area->npa=514;
			area->co_code=779;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 780:
			area->npa=514;
			area->co_code=780;
			area->ocn=2243;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Lachine";
			break;
		
		case 781:
			area->npa=514;
			area->co_code=781;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 782:
			area->npa=514;
			area->co_code=782;
			area->ocn=2243;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Pointe Claire";
			break;
		
		case 783:
			area->npa=514;
			area->co_code=783;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Pointe Claire";
			break;
		
		case 784:
			area->npa=514;
			area->co_code=784;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="St. Genevieve";
			break;
		
		case 786:
			area->npa=514;
			area->co_code=786;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 788:
			area->npa=514;
			area->co_code=788;
			area->ocn=2243;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 790:
			area->npa=514;
			area->co_code=790;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 798:
			area->npa=514;
			area->co_code=798;
			area->ocn=2243;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 801:
			area->npa=514;
			area->co_code=801;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 802:
			area->npa=514;
			area->co_code=802;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 803:
			area->npa=514;
			area->co_code=803;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 804:
			area->npa=514;
			area->co_code=804;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 805:
			area->npa=514;
			area->co_code=805;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 806:
			area->npa=514;
			area->co_code=806;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 807:
			area->npa=514;
			area->co_code=807;
			area->ocn=8377;
			area->company="Call-Net Communications";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 808:
			area->npa=514;
			area->co_code=808;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 809:
			area->npa=514;
			area->co_code=809;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 812:
			area->npa=514;
			area->co_code=812;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 813:
			area->npa=514;
			area->co_code=813;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 814:
			area->npa=514;
			area->co_code=814;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 815:
			area->npa=514;
			area->co_code=815;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 816:
			area->npa=514;
			area->co_code=816;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 817:
			area->npa=514;
			area->co_code=817;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 818:
			area->npa=514;
			area->co_code=818;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 820:
			area->npa=514;
			area->co_code=820;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 821:
			area->npa=514;
			area->co_code=821;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 822:
			area->npa=514;
			area->co_code=822;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Roxboro";
			break;
		
		case 823:
			area->npa=514;
			area->co_code=823;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 824:
			area->npa=514;
			area->co_code=824;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 825:
			area->npa=514;
			area->co_code=825;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 826:
			area->npa=514;
			area->co_code=826;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 827:
			area->npa=514;
			area->co_code=827;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 828:
			area->npa=514;
			area->co_code=828;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lachine";
			break;
		
		case 829:
			area->npa=514;
			area->co_code=829;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 830:
			area->npa=514;
			area->co_code=830;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 831:
			area->npa=514;
			area->co_code=831;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 832:
			area->npa=514;
			area->co_code=832;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 833:
			area->npa=514;
			area->co_code=833;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 835:
			area->npa=514;
			area->co_code=835;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 836:
			area->npa=514;
			area->co_code=836;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 837:
			area->npa=514;
			area->co_code=837;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 838:
			area->npa=514;
			area->co_code=838;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 839:
			area->npa=514;
			area->co_code=839;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 840:
			area->npa=514;
			area->co_code=840;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 841:
			area->npa=514;
			area->co_code=841;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 842:
			area->npa=514;
			area->co_code=842;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 843:
			area->npa=514;
			area->co_code=843;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 844:
			area->npa=514;
			area->co_code=844;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 845:
			area->npa=514;
			area->co_code=845;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 846:
			area->npa=514;
			area->co_code=846;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 847:
			area->npa=514;
			area->co_code=847;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 848:
			area->npa=514;
			area->co_code=848;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 849:
			area->npa=514;
			area->co_code=849;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 850:
			area->npa=514;
			area->co_code=850;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 851:
			area->npa=514;
			area->co_code=851;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 852:
			area->npa=514;
			area->co_code=852;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 853:
			area->npa=514;
			area->co_code=853;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 854:
			area->npa=514;
			area->co_code=854;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 855:
			area->npa=514;
			area->co_code=855;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 856:
			area->npa=514;
			area->co_code=856;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 857:
			area->npa=514;
			area->co_code=857;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 858:
			area->npa=514;
			area->co_code=858;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 859:
			area->npa=514;
			area->co_code=859;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 860:
			area->npa=514;
			area->co_code=860;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 861:
			area->npa=514;
			area->co_code=861;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 862:
			area->npa=514;
			area->co_code=862;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 863:
			area->npa=514;
			area->co_code=863;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 864:
			area->npa=514;
			area->co_code=864;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 865:
			area->npa=514;
			area->co_code=865;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 866:
			area->npa=514;
			area->co_code=866;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 867:
			area->npa=514;
			area->co_code=867;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 868:
			area->npa=514;
			area->co_code=868;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 869:
			area->npa=514;
			area->co_code=869;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 870:
			area->npa=514;
			area->co_code=870;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 871:
			area->npa=514;
			area->co_code=871;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 872:
			area->npa=514;
			area->co_code=872;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 873:
			area->npa=514;
			area->co_code=873;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 874:
			area->npa=514;
			area->co_code=874;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 875:
			area->npa=514;
			area->co_code=875;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 876:
			area->npa=514;
			area->co_code=876;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 877:
			area->npa=514;
			area->co_code=877;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 878:
			area->npa=514;
			area->co_code=878;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 879:
			area->npa=514;
			area->co_code=879;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 880:
			area->npa=514;
			area->co_code=880;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 881:
			area->npa=514;
			area->co_code=881;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 882:
			area->npa=514;
			area->co_code=882;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 883:
			area->npa=514;
			area->co_code=883;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 884:
			area->npa=514;
			area->co_code=884;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="Assigned";
			area->rate_center="Montreal";
			break;
		
		case 885:
			area->npa=514;
			area->co_code=885;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 886:
			area->npa=514;
			area->co_code=886;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 887:
			area->npa=514;
			area->co_code=887;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 888:
			area->npa=514;
			area->co_code=888;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 889:
			area->npa=514;
			area->co_code=889;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 890:
			area->npa=514;
			area->co_code=890;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 891:
			area->npa=514;
			area->co_code=891;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 892:
			area->npa=514;
			area->co_code=892;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 893:
			area->npa=514;
			area->co_code=893;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 894:
			area->npa=514;
			area->co_code=894;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 895:
			area->npa=514;
			area->co_code=895;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 896:
			area->npa=514;
			area->co_code=896;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 897:
			area->npa=514;
			area->co_code=897;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 898:
			area->npa=514;
			area->co_code=898;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 899:
			area->npa=514;
			area->co_code=899;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 903:
			area->npa=514;
			area->co_code=903;
			area->ocn=4849;
			area->company="Axxent Corp.";
			area->status="In Service";
			area->rate_center="Pointe Claire";
			break;
		
		case 904:
			area->npa=514;
			area->co_code=904;
			area->ocn=8304;
			area->company="AT&T Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 905:
			area->npa=514;
			area->co_code=905;
			area->ocn=8304;
			area->company="AT&T Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 906:
			area->npa=514;
			area->co_code=906;
			area->ocn=8304;
			area->company="AT&T Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 907:
			area->npa=514;
			area->co_code=907;
			area->ocn=4849;
			area->company="Axxent Corp.";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 908:
			area->npa=514;
			area->co_code=908;
			area->ocn=8304;
			area->company="AT&T Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 909:
			area->npa=514;
			area->co_code=909;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 910:
			area->npa=514;
			area->co_code=910;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 912:
			area->npa=514;
			area->co_code=912;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 913:
			area->npa=514;
			area->co_code=913;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 914:
			area->npa=514;
			area->co_code=914;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 915:
			area->npa=514;
			area->co_code=915;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 916:
			area->npa=514;
			area->co_code=916;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 917:
			area->npa=514;
			area->co_code=917;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 918:
			area->npa=514;
			area->co_code=918;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 919:
			area->npa=514;
			area->co_code=919;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 920:
			area->npa=514;
			area->co_code=920;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 921:
			area->npa=514;
			area->co_code=921;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 922:
			area->npa=514;
			area->co_code=922;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 923:
			area->npa=514;
			area->co_code=923;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 924:
			area->npa=514;
			area->co_code=924;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 925:
			area->npa=514;
			area->co_code=925;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 926:
			area->npa=514;
			area->co_code=926;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 927:
			area->npa=514;
			area->co_code=927;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 928:
			area->npa=514;
			area->co_code=928;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 929:
			area->npa=514;
			area->co_code=929;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 930:
			area->npa=514;
			area->co_code=930;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 931:
			area->npa=514;
			area->co_code=931;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 932:
			area->npa=514;
			area->co_code=932;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 933:
			area->npa=514;
			area->co_code=933;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 934:
			area->npa=514;
			area->co_code=934;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 935:
			area->npa=514;
			area->co_code=935;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 936:
			area->npa=514;
			area->co_code=936;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 937:
			area->npa=514;
			area->co_code=937;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 938:
			area->npa=514;
			area->co_code=938;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 939:
			area->npa=514;
			area->co_code=939;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 940:
			area->npa=514;
			area->co_code=940;
			area->ocn=8304;
			area->company="AT&T Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 941:
			area->npa=514;
			area->co_code=941;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 942:
			area->npa=514;
			area->co_code=942;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 943:
			area->npa=514;
			area->co_code=943;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 944:
			area->npa=514;
			area->co_code=944;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 945:
			area->npa=514;
			area->co_code=945;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 946:
			area->npa=514;
			area->co_code=946;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 947:
			area->npa=514;
			area->co_code=947;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 948:
			area->npa=514;
			area->co_code=948;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 949:
			area->npa=514;
			area->co_code=949;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 951:
			area->npa=514;
			area->co_code=951;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 952:
			area->npa=514;
			area->co_code=952;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 953:
			area->npa=514;
			area->co_code=953;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 954:
			area->npa=514;
			area->co_code=954;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 955:
			area->npa=514;
			area->co_code=955;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 956:
			area->npa=514;
			area->co_code=956;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 957:
			area->npa=514;
			area->co_code=957;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 960:
			area->npa=514;
			area->co_code=960;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 961:
			area->npa=514;
			area->co_code=961;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 962:
			area->npa=514;
			area->co_code=962;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 963:
			area->npa=514;
			area->co_code=963;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 965:
			area->npa=514;
			area->co_code=965;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 967:
			area->npa=514;
			area->co_code=967;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 968:
			area->npa=514;
			area->co_code=968;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 969:
			area->npa=514;
			area->co_code=969;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 971:
			area->npa=514;
			area->co_code=971;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 972:
			area->npa=514;
			area->co_code=972;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 973:
			area->npa=514;
			area->co_code=973;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 974:
			area->npa=514;
			area->co_code=974;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 975:
			area->npa=514;
			area->co_code=975;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 977:
			area->npa=514;
			area->co_code=977;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 978:
			area->npa=514;
			area->co_code=978;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 979:
			area->npa=514;
			area->co_code=979;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 980:
			area->npa=514;
			area->co_code=980;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 981:
			area->npa=514;
			area->co_code=981;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 982:
			area->npa=514;
			area->co_code=982;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 983:
			area->npa=514;
			area->co_code=983;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 984:
			area->npa=514;
			area->co_code=984;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 985:
			area->npa=514;
			area->co_code=985;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 986:
			area->npa=514;
			area->co_code=986;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 987:
			area->npa=514;
			area->co_code=987;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 988:
			area->npa=514;
			area->co_code=988;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 989:
			area->npa=514;
			area->co_code=989;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 990:
			area->npa=514;
			area->co_code=990;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 991:
			area->npa=514;
			area->co_code=991;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 992:
			area->npa=514;
			area->co_code=992;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 993:
			area->npa=514;
			area->co_code=993;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 994:
			area->npa=514;
			area->co_code=994;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 995:
			area->npa=514;
			area->co_code=995;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 996:
			area->npa=514;
			area->co_code=996;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 997:
			area->npa=514;
			area->co_code=997;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 998:
			area->npa=514;
			area->co_code=998;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		case 999:
			area->npa=514;
			area->co_code=999;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Montreal";
			break;
		
		default: return -1;
	}
	return 0;
}
