/*
dtmflogd        A program to log digits captured by a serial dtmf decoder
Copyright (C) 2003  Raphael Assenat

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Author: Raphael Assenat <raph@raphnet.net>
*/
#include "area_info.h"
int get819(int co_code, AreaInfo *area)
{
	switch(co_code)
	{
		case 213:
			area->npa=819;
			area->co_code=213;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 216:
			area->npa=819;
			area->co_code=216;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Ste-Agathe";
			break;
		
		case 217:
			area->npa=819;
			area->co_code=217;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Ste-Agathe";
			break;
		
		case 221:
			area->npa=819;
			area->co_code=221;
			area->ocn=8221;
			area->company="Telephone Milot Inc.";
			area->status="In Service";
			area->rate_center="Charette";
			break;
		
		case 222:
			area->npa=819;
			area->co_code=222;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Angele-De-Laval";
			break;
		
		case 224:
			area->npa=819;
			area->co_code=224;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Wenceslas";
			break;
		
		case 225:
			area->npa=819;
			area->co_code=225;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Ste-Eulalie";
			break;
		
		case 226:
			area->npa=819;
			area->co_code=226;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Aston-Jonction";
			break;
		
		case 227:
			area->npa=819;
			area->co_code=227;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Maskinonge";
			break;
		
		case 228:
			area->npa=819;
			area->co_code=228;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Louiseville";
			break;
		
		case 229:
			area->npa=819;
			area->co_code=229;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Celestin";
			break;
		
		case 233:
			area->npa=819;
			area->co_code=233;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Gregoire";
			break;
		
		case 242:
			area->npa=819;
			area->co_code=242;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Grenville";
			break;
		
		case 243:
			area->npa=819;
			area->co_code=243;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 246:
			area->npa=819;
			area->co_code=246;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 254:
			area->npa=819;
			area->co_code=254;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Inukjuak";
			break;
		
		case 255:
			area->npa=819;
			area->co_code=255;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Salluit";
			break;
		
		case 263:
			area->npa=819;
			area->co_code=263;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Pierre-Les-Becquets";
			break;
		
		case 264:
			area->npa=819;
			area->co_code=264;
			area->ocn=8221;
			area->company="Telephone Milot Inc.";
			area->status="In Service";
			area->rate_center="St-Barnabe";
			break;
		
		case 265:
			area->npa=819;
			area->co_code=265;
			area->ocn=8221;
			area->company="Telephone Milot Inc.";
			area->status="In Service";
			area->rate_center="St-Alexis-De-Monts";
			break;
		
		case 268:
			area->npa=819;
			area->co_code=268;
			area->ocn=8221;
			area->company="Telephone Milot Inc.";
			area->status="In Service";
			area->rate_center="St-Paulin";
			break;
		
		case 270:
			area->npa=819;
			area->co_code=270;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Val-D'Or";
			break;
		
		case 274:
			area->npa=819;
			area->co_code=274;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="La Minerve";
			break;
		
		case 275:
			area->npa=819;
			area->co_code=275;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="L'Annonciation";
			break;
		
		case 278:
			area->npa=819;
			area->co_code=278;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Nominingue";
			break;
		
		case 279:
			area->npa=819;
			area->co_code=279;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Evain";
			break;
		
		case 280:
			area->npa=819;
			area->co_code=280;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Val-D'Or";
			break;
		
		case 281:
			area->npa=819;
			area->co_code=281;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Buckingham";
			break;
		
		case 283:
			area->npa=819;
			area->co_code=283;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Ste-Marie-de-Blandford";
			break;
		
		case 285:
			area->npa=819;
			area->co_code=285;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Sylvere";
			break;
		
		case 287:
			area->npa=819;
			area->co_code=287;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Fortierville";
			break;
		
		case 288:
			area->npa=819;
			area->co_code=288;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Sophie-de-Levrard";
			break;
		
		case 289:
			area->npa=819;
			area->co_code=289;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Monique-De-Nicolet";
			break;
		
		case 292:
			area->npa=819;
			area->co_code=292;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Deschaillons";
			break;
		
		case 293:
			area->npa=819;
			area->co_code=293;
			area->ocn=8237;
			area->company="Sogetel Inc.";
			area->status="In Service";
			area->rate_center="Nicolet";
			break;
		
		case 294:
			area->npa=819;
			area->co_code=294;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Becancour";
			break;
		
		case 295:
			area->npa=819;
			area->co_code=295;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Champlain";
			break;
		
		case 296:
			area->npa=819;
			area->co_code=296;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Yamachiche";
			break;
		
		case 297:
			area->npa=819;
			area->co_code=297;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Ste-Gertrude";
			break;
		
		case 298:
			area->npa=819;
			area->co_code=298;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Gentilly";
			break;
		
		case 310:
			area->npa=819;
			area->co_code=310;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="7 Digit Service";
			break;
		
		case 314:
			area->npa=819;
			area->co_code=314;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 318:
			area->npa=819;
			area->co_code=318;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="Assigned";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 319:
			area->npa=819;
			area->co_code=319;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 320:
			area->npa=819;
			area->co_code=320;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="Plant Test";
			area->rate_center="n/a";
			break;
		
		case 321:
			area->npa=819;
			area->co_code=321;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Agathe";
			break;
		
		case 322:
			area->npa=819;
			area->co_code=322;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Val David";
			break;
		
		case 323:
			area->npa=819;
			area->co_code=323;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Agathe";
			break;
		
		case 324:
			area->npa=819;
			area->co_code=324;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Agathe";
			break;
		
		case 325:
			area->npa=819;
			area->co_code=325;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Ste-Agathe";
			break;
		
		case 326:
			area->npa=819;
			area->co_code=326;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Agathe";
			break;
		
		case 327:
			area->npa=819;
			area->co_code=327;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Adolphe-D'Howard";
			break;
		
		case 328:
			area->npa=819;
			area->co_code=328;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 329:
			area->npa=819;
			area->co_code=329;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 330:
			area->npa=819;
			area->co_code=330;
			area->ocn=4849;
			area->company="Axxent Corp.";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 331:
			area->npa=819;
			area->co_code=331;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Umiujaq";
			break;
		
		case 333:
			area->npa=819;
			area->co_code=333;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="La Sarre";
			break;
		
		case 336:
			area->npa=819;
			area->co_code=336;
			area->ocn=8213;
			area->company="Telephone Guevremont Inc.";
			area->status="In Service";
			area->rate_center="Notre Dame Du Bon Conseil";
			break;
		
		case 337:
			area->npa=819;
			area->co_code=337;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Kangiqsualujjuaq";
			break;
		
		case 338:
			area->npa=819;
			area->co_code=338;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Kangiqsujuaq";
			break;
		
		case 339:
			area->npa=819;
			area->co_code=339;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="La Sarre";
			break;
		
		case 340:
			area->npa=819;
			area->co_code=340;
			area->ocn=8506;
			area->company="GT Group Telecom Services Corp.";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 344:
			area->npa=819;
			area->co_code=344;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Ham-Nord";
			break;
		
		case 345:
			area->npa=819;
			area->co_code=345;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 346:
			area->npa=819;
			area->co_code=346;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 347:
			area->npa=819;
			area->co_code=347;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 348:
			area->npa=819;
			area->co_code=348;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 349:
			area->npa=819;
			area->co_code=349;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 350:
			area->npa=819;
			area->co_code=350;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Arthabaska";
			break;
		
		case 352:
			area->npa=819;
			area->co_code=352;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Arthabaska";
			break;
		
		case 353:
			area->npa=819;
			area->co_code=353;
			area->ocn=8243;
			area->company="La Cie de Telephone de Warwick";
			area->status="In Service";
			area->rate_center="St-Albert";
			break;
		
		case 354:
			area->npa=819;
			area->co_code=354;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Val-D'Or";
			break;
		
		case 356:
			area->npa=819;
			area->co_code=356;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Manseau";
			break;
		
		case 357:
			area->npa=819;
			area->co_code=357;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Arthabaska";
			break;
		
		case 358:
			area->npa=819;
			area->co_code=358;
			area->ocn=8243;
			area->company="La Cie de Telephone de Warwick";
			area->status="In Service";
			area->rate_center="Warwick";
			break;
		
		case 359:
			area->npa=819;
			area->co_code=359;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Tingwick";
			break;
		
		case 360:
			area->npa=819;
			area->co_code=360;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="Assigned";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 362:
			area->npa=819;
			area->co_code=362;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Plessisville";
			break;
		
		case 363:
			area->npa=819;
			area->co_code=363;
			area->ocn=8243;
			area->company="La Cie de Telephone de Warwick";
			area->status="In Service";
			area->rate_center="Kingsey Falls";
			break;
		
		case 364:
			area->npa=819;
			area->co_code=364;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Princeville";
			break;
		
		case 365:
			area->npa=819;
			area->co_code=365;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Laurierville";
			break;
		
		case 367:
			area->npa=819;
			area->co_code=367;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Daveluyville";
			break;
		
		case 369:
			area->npa=819;
			area->co_code=369;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Norbertville";
			break;
		
		case 370:
			area->npa=819;
			area->co_code=370;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 371:
			area->npa=819;
			area->co_code=371;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 372:
			area->npa=819;
			area->co_code=372;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 373:
			area->npa=819;
			area->co_code=373;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 374:
			area->npa=819;
			area->co_code=374;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 375:
			area->npa=819;
			area->co_code=375;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 376:
			area->npa=819;
			area->co_code=376;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 377:
			area->npa=819;
			area->co_code=377;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 378:
			area->npa=819;
			area->co_code=378;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 379:
			area->npa=819;
			area->co_code=379;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 380:
			area->npa=819;
			area->co_code=380;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 381:
			area->npa=819;
			area->co_code=381;
			area->ocn=8506;
			area->company="GT Group Telecom Services Corp.";
			area->status="Being Recovered";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 382:
			area->npa=819;
			area->co_code=382;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Chesterville";
			break;
		
		case 383:
			area->npa=819;
			area->co_code=383;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 384:
			area->npa=819;
			area->co_code=384;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 385:
			area->npa=819;
			area->co_code=385;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Notre-Dame-De-Lourdes";
			break;
		
		case 386:
			area->npa=819;
			area->co_code=386;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 388:
			area->npa=819;
			area->co_code=388;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 389:
			area->npa=819;
			area->co_code=389;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lyster";
			break;
		
		case 390:
			area->npa=819;
			area->co_code=390;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 392:
			area->npa=819;
			area->co_code=392;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Nazaire";
			break;
		
		case 394:
			area->npa=819;
			area->co_code=394;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="L'Avenir";
			break;
		
		case 395:
			area->npa=819;
			area->co_code=395;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Germaine-De-Grantham";
			break;
		
		case 396:
			area->npa=819;
			area->co_code=396;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Guillaume";
			break;
		
		case 397:
			area->npa=819;
			area->co_code=397;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Cyrille";
			break;
		
		case 398:
			area->npa=819;
			area->co_code=398;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Wickham";
			break;
		
		case 399:
			area->npa=819;
			area->co_code=399;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Leonard-d'Aston";
			break;
		
		case 401:
			area->npa=819;
			area->co_code=401;
			area->ocn=4591;
			area->company="COGECO Cable Canada Inc.";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 420:
			area->npa=819;
			area->co_code=420;
			area->ocn=8304;
			area->company="AT&T Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 422:
			area->npa=819;
			area->co_code=422;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Low";
			break;
		
		case 423:
			area->npa=819;
			area->co_code=423;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Montebello";
			break;
		
		case 424:
			area->npa=819;
			area->co_code=424;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Donat-De-Montcalm";
			break;
		
		case 425:
			area->npa=819;
			area->co_code=425;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jovite";
			break;
		
		case 426:
			area->npa=819;
			area->co_code=426;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Emile-de-Suffolk";
			break;
		
		case 427:
			area->npa=819;
			area->co_code=427;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Papineauville";
			break;
		
		case 428:
			area->npa=819;
			area->co_code=428;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Cheneville";
			break;
		
		case 429:
			area->npa=819;
			area->co_code=429;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jovite";
			break;
		
		case 432:
			area->npa=819;
			area->co_code=432;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 435:
			area->npa=819;
			area->co_code=435;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Parc De La Verendrye";
			break;
		
		case 437:
			area->npa=819;
			area->co_code=437;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 438:
			area->npa=819;
			area->co_code=438;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Grand-Remous";
			break;
		
		case 439:
			area->npa=819;
			area->co_code=439;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Gatineau";
			break;
		
		case 440:
			area->npa=819;
			area->co_code=440;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Mont-Laurier";
			break;
		
		case 441:
			area->npa=819;
			area->co_code=441;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Maniwaki";
			break;
		
		case 442:
			area->npa=819;
			area->co_code=442;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="Assigned";
			area->rate_center="Amos";
			break;
		
		case 444:
			area->npa=819;
			area->co_code=444;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Amos";
			break;
		
		case 449:
			area->npa=819;
			area->co_code=449;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Maniwaki";
			break;
		
		case 453:
			area->npa=819;
			area->co_code=453;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Campbell's Bay";
			break;
		
		case 454:
			area->npa=819;
			area->co_code=454;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Val-des-Bois";
			break;
		
		case 455:
			area->npa=819;
			area->co_code=455;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Luskville";
			break;
		
		case 456:
			area->npa=819;
			area->co_code=456;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Wakefield";
			break;
		
		case 457:
			area->npa=819;
			area->co_code=457;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Pierre-De-Wakefield";
			break;
		
		case 458:
			area->npa=819;
			area->co_code=458;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quyon";
			break;
		
		case 459:
			area->npa=819;
			area->co_code=459;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Wakefield";
			break;
		
		case 460:
			area->npa=819;
			area->co_code=460;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Victoriaville";
			break;
		
		case 461:
			area->npa=819;
			area->co_code=461;
			area->ocn=8820;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 463:
			area->npa=819;
			area->co_code=463;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Gracefield";
			break;
		
		case 465:
			area->npa=819;
			area->co_code=465;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Bouchette";
			break;
		
		case 467:
			area->npa=819;
			area->co_code=467;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Kazabazua";
			break;
		
		case 469:
			area->npa=819;
			area->co_code=469;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 470:
			area->npa=819;
			area->co_code=470;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 471:
			area->npa=819;
			area->co_code=471;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 472:
			area->npa=819;
			area->co_code=472;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 473:
			area->npa=819;
			area->co_code=473;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 474:
			area->npa=819;
			area->co_code=474;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 475:
			area->npa=819;
			area->co_code=475;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 477:
			area->npa=819;
			area->co_code=477;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 478:
			area->npa=819;
			area->co_code=478;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 479:
			area->npa=819;
			area->co_code=479;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 480:
			area->npa=819;
			area->co_code=480;
			area->ocn=8254;
			area->company="Maskatel";
			area->status="Being Recovered";
			area->rate_center="Drummondville";
			break;
		
		case 483:
			area->npa=819;
			area->co_code=483;
			area->ocn=8377;
			area->company="Call-Net Communications";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 491:
			area->npa=819;
			area->co_code=491;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Aupaluk";
			break;
		
		case 492:
			area->npa=819;
			area->co_code=492;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quaqtaq";
			break;
		
		case 493:
			area->npa=819;
			area->co_code=493;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Rollet";
			break;
		
		case 496:
			area->npa=819;
			area->co_code=496;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Akulivik";
			break;
		
		case 503:
			area->npa=819;
			area->co_code=503;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 513:
			area->npa=819;
			area->co_code=513;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Mont-Laurier";
			break;
		
		case 522:
			area->npa=819;
			area->co_code=522;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Notre-Dame-de-la-Paix";
			break;
		
		case 523:
			area->npa=819;
			area->co_code=523;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="La Tuque";
			break;
		
		case 531:
			area->npa=819;
			area->co_code=531;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Shawinigan";
			break;
		
		case 532:
			area->npa=819;
			area->co_code=532;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Mathieu";
			break;
		
		case 533:
			area->npa=819;
			area->co_code=533;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Grand'Mere";
			break;
		
		case 534:
			area->npa=819;
			area->co_code=534;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Shawinigan";
			break;
		
		case 535:
			area->npa=819;
			area->co_code=535;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Boniface-De-Shawinigan";
			break;
		
		case 536:
			area->npa=819;
			area->co_code=536;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Shawinigan";
			break;
		
		case 537:
			area->npa=819;
			area->co_code=537;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Shawinigan";
			break;
		
		case 538:
			area->npa=819;
			area->co_code=538;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Grand'Mere";
			break;
		
		case 539:
			area->npa=819;
			area->co_code=539;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Shawinigan";
			break;
		
		case 540:
			area->npa=819;
			area->co_code=540;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Shawinigan";
			break;
		
		case 544:
			area->npa=819;
			area->co_code=544;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Woburn";
			break;
		
		case 547:
			area->npa=819;
			area->co_code=547;
			area->ocn=8256;
			area->company="La Cie de Telephone Nantes inc.";
			area->status="In Service";
			area->rate_center="Nantes";
			break;
		
		case 548:
			area->npa=819;
			area->co_code=548;
			area->ocn=8237;
			area->company="Sogetel Inc.";
			area->status="In Service";
			area->rate_center="Saint-Ludger";
			break;
		
		case 549:
			area->npa=819;
			area->co_code=549;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lac-Drolet";
			break;
		
		case 560:
			area->npa=819;
			area->co_code=560;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 561:
			area->npa=819;
			area->co_code=561;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 562:
			area->npa=819;
			area->co_code=562;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 563:
			area->npa=819;
			area->co_code=563;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 564:
			area->npa=819;
			area->co_code=564;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 565:
			area->npa=819;
			area->co_code=565;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 566:
			area->npa=819;
			area->co_code=566;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 568:
			area->npa=819;
			area->co_code=568;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 569:
			area->npa=819;
			area->co_code=569;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 570:
			area->npa=819;
			area->co_code=570;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 571:
			area->npa=819;
			area->co_code=571;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 572:
			area->npa=819;
			area->co_code=572;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 573:
			area->npa=819;
			area->co_code=573;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 574:
			area->npa=819;
			area->co_code=574;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 575:
			area->npa=819;
			area->co_code=575;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 576:
			area->npa=819;
			area->co_code=576;
			area->ocn=8506;
			area->company="GT Group Telecom Services Corp.";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 577:
			area->npa=819;
			area->co_code=577;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 578:
			area->npa=819;
			area->co_code=578;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 580:
			area->npa=819;
			area->co_code=580;
			area->ocn=8820;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 582:
			area->npa=819;
			area->co_code=582;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lac-Megantic";
			break;
		
		case 583:
			area->npa=819;
			area->co_code=583;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lac-Megantic";
			break;
		
		case 585:
			area->npa=819;
			area->co_code=585;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Lac-des-Ecorces";
			break;
		
		case 586:
			area->npa=819;
			area->co_code=586;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Ste-Anne-du-Lac";
			break;
		
		case 587:
			area->npa=819;
			area->co_code=587;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Ferme-Neuve";
			break;
		
		case 595:
			area->npa=819;
			area->co_code=595;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 597:
			area->npa=819;
			area->co_code=597;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Lac-du-Cerf";
			break;
		
		case 601:
			area->npa=819;
			area->co_code=601;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 609:
			area->npa=819;
			area->co_code=609;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 614:
			area->npa=819;
			area->co_code=614;
			area->ocn=2243;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Lac-Megantic";
			break;
		
		case 620:
			area->npa=819;
			area->co_code=620;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 621:
			area->npa=819;
			area->co_code=621;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Plessisville";
			break;
		
		case 622:
			area->npa=819;
			area->co_code=622;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Ville Marie";
			break;
		
		case 623:
			area->npa=819;
			area->co_code=623;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Mont-Laurier";
			break;
		
		case 625:
			area->npa=819;
			area->co_code=625;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Lorrainville";
			break;
		
		case 627:
			area->npa=819;
			area->co_code=627;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Temiscaming";
			break;
		
		case 629:
			area->npa=819;
			area->co_code=629;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Ville Marie";
			break;
		
		case 633:
			area->npa=819;
			area->co_code=633;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Tasiujaq";
			break;
		
		case 634:
			area->npa=819;
			area->co_code=634;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Fabre";
			break;
		
		case 635:
			area->npa=819;
			area->co_code=635;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 637:
			area->npa=819;
			area->co_code=637;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Clericy";
			break;
		
		case 638:
			area->npa=819;
			area->co_code=638;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Radisson";
			break;
		
		case 639:
			area->npa=819;
			area->co_code=639;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 643:
			area->npa=819;
			area->co_code=643;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Gatineau";
			break;
		
		case 646:
			area->npa=819;
			area->co_code=646;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Roch-de-Mekinac";
			break;
		
		case 647:
			area->npa=819;
			area->co_code=647;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Shawville";
			break;
		
		case 648:
			area->npa=819;
			area->co_code=648;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Campbell's Bay";
			break;
		
		case 652:
			area->npa=819;
			area->co_code=652;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Sebastien (Frontenac Co.)";
			break;
		
		case 653:
			area->npa=819;
			area->co_code=653;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Lac-Edouard";
			break;
		
		case 656:
			area->npa=819;
			area->co_code=656;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chartierville";
			break;
		
		case 657:
			area->npa=819;
			area->co_code=657;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Scotstown";
			break;
		
		case 658:
			area->npa=819;
			area->co_code=658;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Malo";
			break;
		
		case 660:
			area->npa=819;
			area->co_code=660;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="Assigned";
			area->rate_center="Mont-Laurier";
			break;
		
		case 661:
			area->npa=819;
			area->co_code=661;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 662:
			area->npa=819;
			area->co_code=662;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Clova";
			break;
		
		case 663:
			area->npa=819;
			area->co_code=663;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Gatineau";
			break;
		
		case 664:
			area->npa=819;
			area->co_code=664;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 665:
			area->npa=819;
			area->co_code=665;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 666:
			area->npa=819;
			area->co_code=666;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Sanmaur";
			break;
		
		case 667:
			area->npa=819;
			area->co_code=667;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Parent";
			break;
		
		case 669:
			area->npa=819;
			area->co_code=669;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Gatineau";
			break;
		
		case 671:
			area->npa=819;
			area->co_code=671;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Perkins";
			break;
		
		case 672:
			area->npa=819;
			area->co_code=672;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Radisson";
			break;
		
		case 673:
			area->npa=819;
			area->co_code=673;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Nemaska";
			break;
		
		case 676:
			area->npa=819;
			area->co_code=676;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="La Tuque";
			break;
		
		case 681:
			area->npa=819;
			area->co_code=681;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jovite";
			break;
		
		case 682:
			area->npa=819;
			area->co_code=682;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Aylmer";
			break;
		
		case 683:
			area->npa=819;
			area->co_code=683;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Fort-Coulonge";
			break;
		
		case 684:
			area->npa=819;
			area->co_code=684;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Aylmer";
			break;
		
		case 685:
			area->npa=819;
			area->co_code=685;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Aylmer";
			break;
		
		case 686:
			area->npa=819;
			area->co_code=686;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Labelle";
			break;
		
		case 687:
			area->npa=819;
			area->co_code=687;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Arundel";
			break;
		
		case 688:
			area->npa=819;
			area->co_code=688;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Faustin";
			break;
		
		case 689:
			area->npa=819;
			area->co_code=689;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chapeau";
			break;
		
		case 691:
			area->npa=819;
			area->co_code=691;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 692:
			area->npa=819;
			area->co_code=692;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 693:
			area->npa=819;
			area->co_code=693;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 694:
			area->npa=819;
			area->co_code=694;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 695:
			area->npa=819;
			area->co_code=695;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 696:
			area->npa=819;
			area->co_code=696;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 697:
			area->npa=819;
			area->co_code=697;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 698:
			area->npa=819;
			area->co_code=698;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 699:
			area->npa=819;
			area->co_code=699;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 701:
			area->npa=819;
			area->co_code=701;
			area->ocn=8820;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 712:
			area->npa=819;
			area->co_code=712;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 719:
			area->npa=819;
			area->co_code=719;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Shawinigan";
			break;
		
		case 722:
			area->npa=819;
			area->co_code=722;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Belleterre";
			break;
		
		case 723:
			area->npa=819;
			area->co_code=723;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Notre-Dame-du-Nord";
			break;
		
		case 726:
			area->npa=819;
			area->co_code=726;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Bearn";
			break;
		
		case 727:
			area->npa=819;
			area->co_code=727;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Amos";
			break;
		
		case 728:
			area->npa=819;
			area->co_code=728;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Guigues";
			break;
		
		case 732:
			area->npa=819;
			area->co_code=732;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Amos";
			break;
		
		case 734:
			area->npa=819;
			area->co_code=734;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Barraute";
			break;
		
		case 735:
			area->npa=819;
			area->co_code=735;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Riviere-Heva";
			break;
		
		case 736:
			area->npa=819;
			area->co_code=736;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Louvicourt";
			break;
		
		case 737:
			area->npa=819;
			area->co_code=737;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Senneterre";
			break;
		
		case 738:
			area->npa=819;
			area->co_code=738;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Dubuisson";
			break;
		
		case 739:
			area->npa=819;
			area->co_code=739;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Matagami";
			break;
		
		case 740:
			area->npa=819;
			area->co_code=740;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Victoriaville";
			break;
		
		case 743:
			area->npa=819;
			area->co_code=743;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 747:
			area->npa=819;
			area->co_code=747;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Latulipe";
			break;
		
		case 748:
			area->npa=819;
			area->co_code=748;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Fugereville";
			break;
		
		case 751:
			area->npa=819;
			area->co_code=751;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Victoriaville";
			break;
		
		case 752:
			area->npa=819;
			area->co_code=752;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Victoriaville";
			break;
		
		case 753:
			area->npa=819;
			area->co_code=753;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Waswanipi";
			break;
		
		case 754:
			area->npa=819;
			area->co_code=754;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Rochebaucourt";
			break;
		
		case 755:
			area->npa=819;
			area->co_code=755;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Lebel-sur-Quevillon";
			break;
		
		case 756:
			area->npa=819;
			area->co_code=756;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Joutel";
			break;
		
		case 757:
			area->npa=819;
			area->co_code=757;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Malartic";
			break;
		
		case 758:
			area->npa=819;
			area->co_code=758;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Victoriaville";
			break;
		
		case 759:
			area->npa=819;
			area->co_code=759;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Cadillac";
			break;
		
		case 760:
			area->npa=819;
			area->co_code=760;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Rouyn-Noranda";
			break;
		
		case 761:
			area->npa=819;
			area->co_code=761;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Remigny";
			break;
		
		case 762:
			area->npa=819;
			area->co_code=762;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Rouyn-Noranda";
			break;
		
		case 763:
			area->npa=819;
			area->co_code=763;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Rouyn-Noranda";
			break;
		
		case 764:
			area->npa=819;
			area->co_code=764;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Rouyn-Noranda";
			break;
		
		case 765:
			area->npa=819;
			area->co_code=765;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Laverlochere";
			break;
		
		case 766:
			area->npa=819;
			area->co_code=766;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Notre-Dame-de-la-Salette";
			break;
		
		case 767:
			area->npa=819;
			area->co_code=767;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Notre-Dame-du-Laus";
			break;
		
		case 768:
			area->npa=819;
			area->co_code=768;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Evain";
			break;
		
		case 770:
			area->npa=819;
			area->co_code=770;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 771:
			area->npa=819;
			area->co_code=771;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 772:
			area->npa=819;
			area->co_code=772;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 773:
			area->npa=819;
			area->co_code=773;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 775:
			area->npa=819;
			area->co_code=775;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 776:
			area->npa=819;
			area->co_code=776;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 777:
			area->npa=819;
			area->co_code=777;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 778:
			area->npa=819;
			area->co_code=778;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 779:
			area->npa=819;
			area->co_code=779;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 780:
			area->npa=819;
			area->co_code=780;
			area->ocn=2243;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 782:
			area->npa=819;
			area->co_code=782;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Macamic";
			break;
		
		case 783:
			area->npa=819;
			area->co_code=783;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Dupuy";
			break;
		
		case 784:
			area->npa=819;
			area->co_code=784;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Nedelec";
			break;
		
		case 785:
			area->npa=819;
			area->co_code=785;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Eugene-de-Guigues";
			break;
		
		case 787:
			area->npa=819;
			area->co_code=787;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Palmarolle";
			break;
		
		case 788:
			area->npa=819;
			area->co_code=788;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Normetal";
			break;
		
		case 790:
			area->npa=819;
			area->co_code=790;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 795:
			area->npa=819;
			area->co_code=795;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Victoriaville";
			break;
		
		case 796:
			area->npa=819;
			area->co_code=796;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Taschereau";
			break;
		
		case 797:
			area->npa=819;
			area->co_code=797;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Rouyn-Noranda";
			break;
		
		case 799:
			area->npa=819;
			area->co_code=799;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="La Corne";
			break;
		
		case 806:
			area->npa=819;
			area->co_code=806;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Victoriaville";
			break;
		
		case 808:
			area->npa=819;
			area->co_code=808;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="St-Jovite";
			break;
		
		case 816:
			area->npa=819;
			area->co_code=816;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 818:
			area->npa=819;
			area->co_code=818;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 820:
			area->npa=819;
			area->co_code=820;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 821:
			area->npa=819;
			area->co_code=821;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 822:
			area->npa=819;
			area->co_code=822;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 823:
			area->npa=819;
			area->co_code=823;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 824:
			area->npa=819;
			area->co_code=824;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Val-D'Or";
			break;
		
		case 825:
			area->npa=819;
			area->co_code=825;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Val-D'Or";
			break;
		
		case 826:
			area->npa=819;
			area->co_code=826;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Richmond";
			break;
		
		case 827:
			area->npa=819;
			area->co_code=827;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chelsea";
			break;
		
		case 828:
			area->npa=819;
			area->co_code=828;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Wotton";
			break;
		
		case 829:
			area->npa=819;
			area->co_code=829;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sherbrooke";
			break;
		
		case 832:
			area->npa=819;
			area->co_code=832;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="East Angus";
			break;
		
		case 835:
			area->npa=819;
			area->co_code=835;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Compton";
			break;
		
		case 837:
			area->npa=819;
			area->co_code=837;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Waterville";
			break;
		
		case 838:
			area->npa=819;
			area->co_code=838;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ayer's Cliff";
			break;
		
		case 839:
			area->npa=819;
			area->co_code=839;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Danville";
			break;
		
		case 840:
			area->npa=819;
			area->co_code=840;
			area->ocn=2243;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Trois-Rivieres";
			break;
		
		case 842:
			area->npa=819;
			area->co_code=842;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="North Hatley";
			break;
		
		case 843:
			area->npa=819;
			area->co_code=843;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Magog";
			break;
		
		case 844:
			area->npa=819;
			area->co_code=844;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="East Hereford";
			break;
		
		case 845:
			area->npa=819;
			area->co_code=845;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Windsor";
			break;
		
		case 846:
			area->npa=819;
			area->co_code=846;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Bromptonville";
			break;
		
		case 847:
			area->npa=819;
			area->co_code=847;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Magog";
			break;
		
		case 848:
			area->npa=819;
			area->co_code=848;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Felix-De-Kingsey";
			break;
		
		case 849:
			area->npa=819;
			area->co_code=849;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Coaticook";
			break;
		
		case 850:
			area->npa=819;
			area->co_code=850;
			area->ocn=2243;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Drummondville";
			break;
		
		case 853:
			area->npa=819;
			area->co_code=853;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Laforge";
			break;
		
		case 854:
			area->npa=819;
			area->co_code=854;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Radisson";
			break;
		
		case 855:
			area->npa=819;
			area->co_code=855;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Chisasibi";
			break;
		
		case 856:
			area->npa=819;
			area->co_code=856;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Val-D'Or";
			break;
		
		case 858:
			area->npa=819;
			area->co_code=858;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="South Durham";
			break;
		
		case 864:
			area->npa=819;
			area->co_code=864;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Deauville";
			break;
		
		case 865:
			area->npa=819;
			area->co_code=865;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Eastmain 1";
			break;
		
		case 868:
			area->npa=819;
			area->co_code=868;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Magog";
			break;
		
		case 872:
			area->npa=819;
			area->co_code=872;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Bury";
			break;
		
		case 874:
			area->npa=819;
			area->co_code=874;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Val-D'Or";
			break;
		
		case 875:
			area->npa=819;
			area->co_code=875;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Cookshire";
			break;
		
		case 876:
			area->npa=819;
			area->co_code=876;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Rock Island";
			break;
		
		case 877:
			area->npa=819;
			area->co_code=877;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Weedon";
			break;
		
		case 878:
			area->npa=819;
			area->co_code=878;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Stoke";
			break;
		
		case 879:
			area->npa=819;
			area->co_code=879;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Asbestos";
			break;
		
		case 884:
			area->npa=819;
			area->co_code=884;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Bishopton";
			break;
		
		case 887:
			area->npa=819;
			area->co_code=887;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Adolphe-De-Dudswell";
			break;
		
		case 888:
			area->npa=819;
			area->co_code=888;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="La Patrie";
			break;
		
		case 889:
			area->npa=819;
			area->co_code=889;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sawyerville";
			break;
		
		case 895:
			area->npa=819;
			area->co_code=895;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Waskaganish";
			break;
		
		case 913:
			area->npa=819;
			area->co_code=913;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Shawinigan";
			break;
		
		case 920:
			area->npa=819;
			area->co_code=920;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 921:
			area->npa=819;
			area->co_code=921;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 922:
			area->npa=819;
			area->co_code=922;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ivujivik";
			break;
		
		case 923:
			area->npa=819;
			area->co_code=923;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 929:
			area->npa=819;
			area->co_code=929;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Kuujjuaraapik";
			break;
		
		case 934:
			area->npa=819;
			area->co_code=934;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 935:
			area->npa=819;
			area->co_code=935;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Kangirsuk";
			break;
		
		case 939:
			area->npa=819;
			area->co_code=939;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="Reserved";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 941:
			area->npa=819;
			area->co_code=941;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Beaucanton";
			break;
		
		case 947:
			area->npa=819;
			area->co_code=947;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="La Reine";
			break;
		
		case 948:
			area->npa=819;
			area->co_code=948;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Duparquet";
			break;
		
		case 949:
			area->npa=819;
			area->co_code=949;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Angliers";
			break;
		
		case 953:
			area->npa=819;
			area->co_code=953;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 955:
			area->npa=819;
			area->co_code=955;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 956:
			area->npa=819;
			area->co_code=956;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 964:
			area->npa=819;
			area->co_code=964;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Kuujjuaq";
			break;
		
		case 971:
			area->npa=819;
			area->co_code=971;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Manouane";
			break;
		
		case 974:
			area->npa=819;
			area->co_code=974;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Obedjiwan";
			break;
		
		case 977:
			area->npa=819;
			area->co_code=977;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Eastmain";
			break;
		
		case 978:
			area->npa=819;
			area->co_code=978;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Wemindji";
			break;
		
		case 980:
			area->npa=819;
			area->co_code=980;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Victoriaville";
			break;
		
		case 983:
			area->npa=819;
			area->co_code=983;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Andre-Avellin";
			break;
		
		case 985:
			area->npa=819;
			area->co_code=985;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Thurso";
			break;
		
		case 986:
			area->npa=819;
			area->co_code=986;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Buckingham";
			break;
		
		case 988:
			area->npa=819;
			area->co_code=988;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Puvirnituk";
			break;
		
		case 994:
			area->npa=819;
			area->co_code=994;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		case 997:
			area->npa=819;
			area->co_code=997;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ottawa-Hull";
			break;
		
		default: return -1;
	}
	return 0;
}
