/*
dtmflogd        A program to log digits captured by a serial dtmf decoder
Copyright (C) 2003  Raphael Assenat

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Author: Raphael Assenat <raph@raphnet.net>
*/
#ifndef _logging_h__
#define _logging_h__

extern char mustrun;

int init_logging(char *log_file);
int start_logging(int fd);
void shutdown_logging(void);

/* The timeout after receiving the last digit. Once reached, 
 * the entire string of numbers will be logged. Expressed
 * in milliseconds. */
#define TIME_FOR_NUMBER 3000


#define NUMBER_MAX_LEN 50


#define TRANSLATE 

#endif // _logging_h__
