/*
dtmflogd        A program to log digits captured by a serial dtmf decoder
Copyright (C) 2003  Raphael Assenat

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Author: Raphael Assenat <raph@raphnet.net>
*/
#include "area_codes.h"
#include "area_info.h"

int get514(int co_code, AreaInfo *area);
int get450(int co_code, AreaInfo *area);
int get418(int co_code, AreaInfo *area);
int get819(int co_code, AreaInfo *area);
	

int getAreaInfo(int npa, int co, AreaInfo *areainfo)
{
	switch (npa)
	{
		case 514: return get514(co, areainfo);
		case 450: return get450(co, areainfo);
		case 819: return get819(co, areainfo);
		case 418: return get418(co, areainfo);
	}

	return -1;
}

