/*
dtmflogd        A program to log digits captured by a serial dtmf decoder
Copyright (C) 2003  Raphael Assenat

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Author: Raphael Assenat <raph@raphnet.net>
*/
#include "area_info.h"
int get418(int co_code, AreaInfo *area)
{
	switch(co_code)
	{
		case 210:
			area->npa=418;
			area->co_code=210;
			area->ocn=8377;
			area->company="Call-Net Communications";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 215:
			area->npa=418;
			area->co_code=215;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="St-Georges";
			break;
		
		case 218:
			area->npa=418;
			area->co_code=218;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="St-Felicien";
			break;
		
		case 221:
			area->npa=418;
			area->co_code=221;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Georges-de-Beauce";
			break;
		
		case 222:
			area->npa=418;
			area->co_code=222;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Georges-de-Beauce";
			break;
		
		case 223:
			area->npa=418;
			area->co_code=223;
			area->ocn=8237;
			area->company="Sogetel Inc.";
			area->status="In Service";
			area->rate_center="Sainte-Lucie";
			break;
		
		case 224:
			area->npa=418;
			area->co_code=224;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Rene-de-Matane";
			break;
		
		case 225:
			area->npa=418;
			area->co_code=225;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Georges-de-Beauce";
			break;
		
		case 226:
			area->npa=418;
			area->co_code=226;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Georges-de-Beauce";
			break;
		
		case 227:
			area->npa=418;
			area->co_code=227;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Georges-de-Beauce";
			break;
		
		case 228:
			area->npa=418;
			area->co_code=228;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Georges-de-Beauce";
			break;
		
		case 229:
			area->npa=418;
			area->co_code=229;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="La Romaine";
			break;
		
		case 230:
			area->npa=418;
			area->co_code=230;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Georges-de-Beauce";
			break;
		
		case 231:
			area->npa=418;
			area->co_code=231;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sault-Au-Mouton";
			break;
		
		case 232:
			area->npa=418;
			area->co_code=232;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Bergeronnes";
			break;
		
		case 233:
			area->npa=418;
			area->co_code=233;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Escoumins";
			break;
		
		case 234:
			area->npa=418;
			area->co_code=234;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Montmagny";
			break;
		
		case 235:
			area->npa=418;
			area->co_code=235;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Tadoussac";
			break;
		
		case 236:
			area->npa=418;
			area->co_code=236;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sacre-Coeur";
			break;
		
		case 237:
			area->npa=418;
			area->co_code=237;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Baie-Ste-Catherine";
			break;
		
		case 238:
			area->npa=418;
			area->co_code=238;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Anne-De-Portneuf";
			break;
		
		case 239:
			area->npa=418;
			area->co_code=239;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Dolbeau";
			break;
		
		case 240:
			area->npa=418;
			area->co_code=240;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Baie-St-Paul";
			break;
		
		case 241:
			area->npa=418;
			area->co_code=241;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Montmagny";
			break;
		
		case 242:
			area->npa=418;
			area->co_code=242;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Tete-a-la-Baleine";
			break;
		
		case 243:
			area->npa=418;
			area->co_code=243;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Raphael";
			break;
		
		case 244:
			area->npa=418;
			area->co_code=244;
			area->ocn=8237;
			area->company="Sogetel Inc.";
			area->status="In Service";
			area->rate_center="Daaquam";
			break;
		
		case 245:
			area->npa=418;
			area->co_code=245;
			area->ocn=8237;
			area->company="Sogetel Inc.";
			area->status="In Service";
			area->rate_center="Lac-Frontiere";
			break;
		
		case 246:
			area->npa=418;
			area->co_code=246;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Cap St-Ignace";
			break;
		
		case 247:
			area->npa=418;
			area->co_code=247;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="L'Islet";
			break;
		
		case 248:
			area->npa=418;
			area->co_code=248;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Montmagny";
			break;
		
		case 249:
			area->npa=418;
			area->co_code=249;
			area->ocn=8237;
			area->company="Sogetel Inc.";
			area->status="In Service";
			area->rate_center="Saint-Fabien-de-Panet";
			break;
		
		case 251:
			area->npa=418;
			area->co_code=251;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Prime";
			break;
		
		case 252:
			area->npa=418;
			area->co_code=252;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Montmagny";
			break;
		
		case 253:
			area->npa=418;
			area->co_code=253;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Vallee Jonction";
			break;
		
		case 254:
			area->npa=418;
			area->co_code=254;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 255:
			area->npa=418;
			area->co_code=255;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 256:
			area->npa=418;
			area->co_code=256;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="La Dore";
			break;
		
		case 257:
			area->npa=418;
			area->co_code=257;
			area->ocn=8237;
			area->company="Sogetel Inc.";
			area->status="In Service";
			area->rate_center="Saint-Magloire";
			break;
		
		case 258:
			area->npa=418;
			area->co_code=258;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Girardville";
			break;
		
		case 259:
			area->npa=418;
			area->co_code=259;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Francois";
			break;
		
		case 260:
			area->npa=418;
			area->co_code=260;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 261:
			area->npa=418;
			area->co_code=261;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 262:
			area->npa=418;
			area->co_code=262;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 263:
			area->npa=418;
			area->co_code=263;
			area->ocn=8304;
			area->company="AT&T Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 264:
			area->npa=418;
			area->co_code=264;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 265:
			area->npa=418;
			area->co_code=265;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 266:
			area->npa=418;
			area->co_code=266;
			area->ocn=8304;
			area->company="AT&T Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 267:
			area->npa=418;
			area->co_code=267;
			area->ocn=8237;
			area->company="Sogetel Inc.";
			area->status="In Service";
			area->rate_center="Sainte-Rose";
			break;
		
		case 268:
			area->npa=418;
			area->co_code=268;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Marc-des-Carrieres";
			break;
		
		case 269:
			area->npa=418;
			area->co_code=269;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Riviere-au-Renard";
			break;
		
		case 271:
			area->npa=418;
			area->co_code=271;
			area->ocn=5643;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 272:
			area->npa=418;
			area->co_code=272;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Anse-St-Jean";
			break;
		
		case 274:
			area->npa=418;
			area->co_code=274;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Normandin";
			break;
		
		case 275:
			area->npa=418;
			area->co_code=275;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Roberval";
			break;
		
		case 276:
			area->npa=418;
			area->co_code=276;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Dolbeau";
			break;
		
		case 277:
			area->npa=418;
			area->co_code=277;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Ubalde";
			break;
		
		case 279:
			area->npa=418;
			area->co_code=279;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Albanel";
			break;
		
		case 283:
			area->npa=418;
			area->co_code=283;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Donnacona";
			break;
		
		case 284:
			area->npa=418;
			area->co_code=284;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Donnacona";
			break;
		
		case 285:
			area->npa=418;
			area->co_code=285;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Donnacona";
			break;
		
		case 286:
			area->npa=418;
			area->co_code=286;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Portneuf";
			break;
		
		case 287:
			area->npa=418;
			area->co_code=287;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Fermont";
			break;
		
		case 288:
			area->npa=418;
			area->co_code=288;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="La Martre";
			break;
		
		case 289:
			area->npa=418;
			area->co_code=289;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Ste-Thecle";
			break;
		
		case 290:
			area->npa=418;
			area->co_code=290;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 292:
			area->npa=418;
			area->co_code=292;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Riviere-Du-Loup";
			break;
		
		case 294:
			area->npa=418;
			area->co_code=294;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Baie-Comeau";
			break;
		
		case 295:
			area->npa=418;
			area->co_code=295;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Baie-Comeau (Haute Rive)";
			break;
		
		case 296:
			area->npa=418;
			area->co_code=296;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Baie-Comeau";
			break;
		
		case 297:
			area->npa=418;
			area->co_code=297;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Baie-Comeau (Haute Rive)";
			break;
		
		case 298:
			area->npa=418;
			area->co_code=298;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Baie-Comeau";
			break;
		
		case 299:
			area->npa=418;
			area->co_code=299;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Ste-Alexis de Matapedia";
			break;
		
		case 310:
			area->npa=418;
			area->co_code=310;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="7 Digit Service";
			break;
		
		case 314:
			area->npa=418;
			area->co_code=314;
			area->ocn=2243;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Riviere-Du-Loup";
			break;
		
		case 318:
			area->npa=418;
			area->co_code=318;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="Assigned";
			area->rate_center="L'Islet";
			break;
		
		case 320:
			area->npa=418;
			area->co_code=320;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="Plant Test";
			area->rate_center="n/a";
			break;
		
		case 322:
			area->npa=418;
			area->co_code=322;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Adelphe";
			break;
		
		case 323:
			area->npa=418;
			area->co_code=323;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Riviere-a-Pierre";
			break;
		
		case 325:
			area->npa=418;
			area->co_code=325;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Ste-Anne-de-la-Perade";
			break;
		
		case 328:
			area->npa=418;
			area->co_code=328;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Stanislas";
			break;
		
		case 329:
			area->npa=418;
			area->co_code=329;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Basile";
			break;
		
		case 331:
			area->npa=418;
			area->co_code=331;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Thetford Mines";
			break;
		
		case 332:
			area->npa=418;
			area->co_code=332;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Thetford Mines";
			break;
		
		case 333:
			area->npa=418;
			area->co_code=333;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Thetford Mines";
			break;
		
		case 334:
			area->npa=418;
			area->co_code=334;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Thetford Mines";
			break;
		
		case 335:
			area->npa=418;
			area->co_code=335;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Thetford Mines";
			break;
		
		case 336:
			area->npa=418;
			area->co_code=336;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Lac-aux-Sables";
			break;
		
		case 337:
			area->npa=418;
			area->co_code=337;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Raymond";
			break;
		
		case 338:
			area->npa=418;
			area->co_code=338;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Thetford Mines";
			break;
		
		case 339:
			area->npa=418;
			area->co_code=339;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Casimir";
			break;
		
		case 340:
			area->npa=418;
			area->co_code=340;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Raymond";
			break;
		
		case 342:
			area->npa=418;
			area->co_code=342;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chambord";
			break;
		
		case 343:
			area->npa=418;
			area->co_code=343;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Hebertville-Station";
			break;
		
		case 344:
			area->npa=418;
			area->co_code=344;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Hebertville";
			break;
		
		case 345:
			area->npa=418;
			area->co_code=345;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Gedeon";
			break;
		
		case 346:
			area->npa=418;
			area->co_code=346;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Desbiens";
			break;
		
		case 347:
			area->npa=418;
			area->co_code=347;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Delisle";
			break;
		
		case 348:
			area->npa=418;
			area->co_code=348;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lac Bouchette";
			break;
		
		case 349:
			area->npa=418;
			area->co_code=349;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Metabetchouan";
			break;
		
		case 354:
			area->npa=418;
			area->co_code=354;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Roch des Aulnaies";
			break;
		
		case 356:
			area->npa=418;
			area->co_code=356;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Pamphile";
			break;
		
		case 357:
			area->npa=418;
			area->co_code=357;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Pamphile";
			break;
		
		case 359:
			area->npa=418;
			area->co_code=359;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Ste-Perpetue";
			break;
		
		case 360:
			area->npa=418;
			area->co_code=360;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Gaspe";
			break;
		
		case 361:
			area->npa=418;
			area->co_code=361;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Gaspe";
			break;
		
		case 362:
			area->npa=418;
			area->co_code=362;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Batiscan";
			break;
		
		case 364:
			area->npa=418;
			area->co_code=364;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Carleton";
			break;
		
		case 365:
			area->npa=418;
			area->co_code=365;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Tite";
			break;
		
		case 366:
			area->npa=418;
			area->co_code=366;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Tite";
			break;
		
		case 368:
			area->npa=418;
			area->co_code=368;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Gaspe";
			break;
		
		case 373:
			area->npa=418;
			area->co_code=373;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Milot";
			break;
		
		case 374:
			area->npa=418;
			area->co_code=374;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Peribonka";
			break;
		
		case 377:
			area->npa=418;
			area->co_code=377;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chute-Des-Passes";
			break;
		
		case 379:
			area->npa=418;
			area->co_code=379;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Bonne Esperence";
			break;
		
		case 380:
			area->npa=418;
			area->co_code=380;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 382:
			area->npa=418;
			area->co_code=382;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Ste-Martin-de-Beauce";
			break;
		
		case 383:
			area->npa=418;
			area->co_code=383;
			area->ocn=8237;
			area->company="Sogetel Inc.";
			area->status="In Service";
			area->rate_center="Sainte-Justine";
			break;
		
		case 385:
			area->npa=418;
			area->co_code=385;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Grande-Riviere";
			break;
		
		case 386:
			area->npa=418;
			area->co_code=386;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Marie-De-Beauce";
			break;
		
		case 387:
			area->npa=418;
			area->co_code=387;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Marie-De-Beauce";
			break;
		
		case 388:
			area->npa=418;
			area->co_code=388;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Caplan";
			break;
		
		case 389:
			area->npa=418;
			area->co_code=389;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Ste-Marie";
			break;
		
		case 390:
			area->npa=418;
			area->co_code=390;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Marie-De-Beauce";
			break;
		
		case 391:
			area->npa=418;
			area->co_code=391;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="New Richmond";
			break;
		
		case 392:
			area->npa=418;
			area->co_code=392;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="New Richmond";
			break;
		
		case 393:
			area->npa=418;
			area->co_code=393;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Grande-Vallee";
			break;
		
		case 395:
			area->npa=418;
			area->co_code=395;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Cloridorme";
			break;
		
		case 396:
			area->npa=418;
			area->co_code=396;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Port-Daniel";
			break;
		
		case 397:
			area->npa=418;
			area->co_code=397;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Joseph";
			break;
		
		case 422:
			area->npa=418;
			area->co_code=422;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Methode-de-Frontenac";
			break;
		
		case 423:
			area->npa=418;
			area->co_code=423;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Black Lake";
			break;
		
		case 424:
			area->npa=418;
			area->co_code=424;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Leeds";
			break;
		
		case 426:
			area->npa=418;
			area->co_code=426;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Tring Jonction";
			break;
		
		case 427:
			area->npa=418;
			area->co_code=427;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="East Broughton";
			break;
		
		case 428:
			area->npa=418;
			area->co_code=428;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Ferdinand-D'Halifax";
			break;
		
		case 434:
			area->npa=418;
			area->co_code=434;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Fidele";
			break;
		
		case 435:
			area->npa=418;
			area->co_code=435;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Baie-St-Paul";
			break;
		
		case 436:
			area->npa=418;
			area->co_code=436;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Baie-St-Paul";
			break;
		
		case 438:
			area->npa=418;
			area->co_code=438;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Isle Aux Coudres";
			break;
		
		case 439:
			area->npa=418;
			area->co_code=439;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Clermont";
			break;
		
		case 443:
			area->npa=418;
			area->co_code=443;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Stratford";
			break;
		
		case 449:
			area->npa=418;
			area->co_code=449;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Disraeli";
			break;
		
		case 452:
			area->npa=418;
			area->co_code=452;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Irenee";
			break;
		
		case 453:
			area->npa=418;
			area->co_code=453;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Inverness";
			break;
		
		case 455:
			area->npa=418;
			area->co_code=455;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 456:
			area->npa=418;
			area->co_code=456;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 457:
			area->npa=418;
			area->co_code=457;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Hilarion";
			break;
		
		case 458:
			area->npa=418;
			area->co_code=458;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Garthby";
			break;
		
		case 459:
			area->npa=418;
			area->co_code=459;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="La Guadeloupe";
			break;
		
		case 461:
			area->npa=418;
			area->co_code=461;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Blanc-Sablon";
			break;
		
		case 464:
			area->npa=418;
			area->co_code=464;
			area->ocn=8237;
			area->company="Sogetel Inc.";
			area->status="In Service";
			area->rate_center="Saint-Odilon";
			break;
		
		case 465:
			area->npa=418;
			area->co_code=465;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Riviere-au-Tonnerre";
			break;
		
		case 466:
			area->npa=418;
			area->co_code=466;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Armagh";
			break;
		
		case 469:
			area->npa=418;
			area->co_code=469;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Paul-de-Monyminy";
			break;
		
		case 475:
			area->npa=418;
			area->co_code=475;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Berard-de-Dorchester";
			break;
		
		case 479:
			area->npa=418;
			area->co_code=479;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Frampton";
			break;
		
		case 480:
			area->npa=418;
			area->co_code=480;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Alma";
			break;
		
		case 481:
			area->npa=418;
			area->co_code=481;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Alma";
			break;
		
		case 482:
			area->npa=418;
			area->co_code=482;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Alma";
			break;
		
		case 483:
			area->npa=418;
			area->co_code=483;
			area->ocn=8208;
			area->company="La Cie de Telephone de Courcelles";
			area->status="In Service";
			area->rate_center="Courcelles";
			break;
		
		case 484:
			area->npa=418;
			area->co_code=484;
			area->ocn=8233;
			area->company="Le Telephone de St-Ephrem Inc";
			area->status="In Service";
			area->rate_center="St-Ephrem-De-Beauce";
			break;
		
		case 485:
			area->npa=418;
			area->co_code=485;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Honore";
			break;
		
		case 486:
			area->npa=418;
			area->co_code=486;
			area->ocn=8219;
			area->company="La Compagnie de Telephone de Lambton";
			area->status="In Service";
			area->rate_center="Lambton";
			break;
		
		case 487:
			area->npa=418;
			area->co_code=487;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Alma";
			break;
		
		case 492:
			area->npa=418;
			area->co_code=492;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Pascal";
			break;
		
		case 493:
			area->npa=418;
			area->co_code=493;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Andre";
			break;
		
		case 495:
			area->npa=418;
			area->co_code=495;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Alexandre";
			break;
		
		case 497:
			area->npa=418;
			area->co_code=497;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Honore (Temiscouata Co.)";
			break;
		
		case 498:
			area->npa=418;
			area->co_code=498;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Phille-De-Neri";
			break;
		
		case 499:
			area->npa=418;
			area->co_code=499;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Biencourt";
			break;
		
		case 518:
			area->npa=418;
			area->co_code=518;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="St-Felicien";
			break;
		
		case 520:
			area->npa=418;
			area->co_code=520;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 521:
			area->npa=418;
			area->co_code=521;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 522:
			area->npa=418;
			area->co_code=522;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 523:
			area->npa=418;
			area->co_code=523;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 524:
			area->npa=418;
			area->co_code=524;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 525:
			area->npa=418;
			area->co_code=525;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 527:
			area->npa=418;
			area->co_code=527;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 528:
			area->npa=418;
			area->co_code=528;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 529:
			area->npa=418;
			area->co_code=529;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 530:
			area->npa=418;
			area->co_code=530;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Bonaventure";
			break;
		
		case 532:
			area->npa=418;
			area->co_code=532;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Havre-St-Pierre";
			break;
		
		case 533:
			area->npa=418;
			area->co_code=533;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Aguanish";
			break;
		
		case 534:
			area->npa=418;
			area->co_code=534;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Bonaventure";
			break;
		
		case 535:
			area->npa=418;
			area->co_code=535;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Port-Menier";
			break;
		
		case 536:
			area->npa=418;
			area->co_code=536;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Sayabec";
			break;
		
		case 538:
			area->npa=418;
			area->co_code=538;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Havre-St-Pierre";
			break;
		
		case 539:
			area->npa=418;
			area->co_code=539;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Baie-Johan-Beetz";
			break;
		
		case 540:
			area->npa=418;
			area->co_code=540;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 541:
			area->npa=418;
			area->co_code=541;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 542:
			area->npa=418;
			area->co_code=542;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Jonquiere";
			break;
		
		case 543:
			area->npa=418;
			area->co_code=543;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 544:
			area->npa=418;
			area->co_code=544;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="La Baie (Chicoutimi Co.)";
			break;
		
		case 545:
			area->npa=418;
			area->co_code=545;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 546:
			area->npa=418;
			area->co_code=546;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Jonquiere";
			break;
		
		case 547:
			area->npa=418;
			area->co_code=547;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Jonquiere";
			break;
		
		case 548:
			area->npa=418;
			area->co_code=548;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Jonquiere";
			break;
		
		case 549:
			area->npa=418;
			area->co_code=549;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 550:
			area->npa=418;
			area->co_code=550;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 556:
			area->npa=418;
			area->co_code=556;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Matane";
			break;
		
		case 557:
			area->npa=418;
			area->co_code=557;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 558:
			area->npa=418;
			area->co_code=558;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 559:
			area->npa=418;
			area->co_code=559;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 560:
			area->npa=418;
			area->co_code=560;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Matane";
			break;
		
		case 561:
			area->npa=418;
			area->co_code=561;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 562:
			area->npa=418;
			area->co_code=562;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Matane";
			break;
		
		case 563:
			area->npa=418;
			area->co_code=563;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 564:
			area->npa=418;
			area->co_code=564;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 565:
			area->npa=418;
			area->co_code=565;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Colombier";
			break;
		
		case 566:
			area->npa=418;
			area->co_code=566;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Matane";
			break;
		
		case 567:
			area->npa=418;
			area->co_code=567;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Chute-Aux-Outardes";
			break;
		
		case 568:
			area->npa=418;
			area->co_code=568;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Godbout";
			break;
		
		case 569:
			area->npa=418;
			area->co_code=569;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 570:
			area->npa=418;
			area->co_code=570;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 571:
			area->npa=418;
			area->co_code=571;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 572:
			area->npa=418;
			area->co_code=572;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 573:
			area->npa=418;
			area->co_code=573;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 574:
			area->npa=418;
			area->co_code=574;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Loretteville";
			break;
		
		case 575:
			area->npa=418;
			area->co_code=575;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 576:
			area->npa=418;
			area->co_code=576;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 577:
			area->npa=418;
			area->co_code=577;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 580:
			area->npa=418;
			area->co_code=580;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 582:
			area->npa=418;
			area->co_code=582;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Gedeon-de-Beauce";
			break;
		
		case 583:
			area->npa=418;
			area->co_code=583;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Clarke City";
			break;
		
		case 584:
			area->npa=418;
			area->co_code=584;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Manicouagan 5";
			break;
		
		case 585:
			area->npa=418;
			area->co_code=585;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Schefferville";
			break;
		
		case 586:
			area->npa=418;
			area->co_code=586;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Forestville";
			break;
		
		case 587:
			area->npa=418;
			area->co_code=587;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Forestville";
			break;
		
		case 588:
			area->npa=418;
			area->co_code=588;
			area->ocn=8235;
			area->company="La Compagnie de Telephone de St-";
			area->status="In Service";
			area->rate_center="St-Victor-De-Beauce";
			break;
		
		case 589:
			area->npa=418;
			area->co_code=589;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Baie-Comeau (Haute Rive)";
			break;
		
		case 590:
			area->npa=418;
			area->co_code=590;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 591:
			area->npa=418;
			area->co_code=591;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 592:
			area->npa=418;
			area->co_code=592;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 593:
			area->npa=418;
			area->co_code=593;
			area->ocn=8237;
			area->company="Sogetel Inc.";
			area->status="In Service";
			area->rate_center="Saint-Zacharie";
			break;
		
		case 594:
			area->npa=418;
			area->co_code=594;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Prosper-de-Dorchester";
			break;
		
		case 595:
			area->npa=418;
			area->co_code=595;
			area->ocn=8237;
			area->company="Sogetel Inc.";
			area->status="In Service";
			area->rate_center="Saint-Camille";
			break;
		
		case 596:
			area->npa=418;
			area->co_code=596;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Patrice-de-Beaurivage";
			break;
		
		case 597:
			area->npa=418;
			area->co_code=597;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Theophile";
			break;
		
		case 598:
			area->npa=418;
			area->co_code=598;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Jean-Port-Joli";
			break;
		
		case 599:
			area->npa=418;
			area->co_code=599;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Agathe";
			break;
		
		case 612:
			area->npa=418;
			area->co_code=612;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 615:
			area->npa=418;
			area->co_code=615;
			area->ocn=2243;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 618:
			area->npa=418;
			area->co_code=618;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="St-Felicien";
			break;
		
		case 621:
			area->npa=418;
			area->co_code=621;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 622:
			area->npa=418;
			area->co_code=622;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 623:
			area->npa=418;
			area->co_code=623;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 624:
			area->npa=418;
			area->co_code=624;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 625:
			area->npa=418;
			area->co_code=625;
			area->ocn=8237;
			area->company="Sogetel Inc.";
			area->status="In Service";
			area->rate_center="Lac-Etchemin";
			break;
		
		case 626:
			area->npa=418;
			area->co_code=626;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 627:
			area->npa=418;
			area->co_code=627;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 628:
			area->npa=418;
			area->co_code=628;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 629:
			area->npa=418;
			area->co_code=629;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Amqui";
			break;
		
		case 630:
			area->npa=418;
			area->co_code=630;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Felicien";
			break;
		
		case 631:
			area->npa=418;
			area->co_code=631;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Amqui";
			break;
		
		case 632:
			area->npa=418;
			area->co_code=632;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Petite-Riviere-St-Francois";
			break;
		
		case 633:
			area->npa=418;
			area->co_code=633;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="La Malbaie";
			break;
		
		case 634:
			area->npa=418;
			area->co_code=634;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 635:
			area->npa=418;
			area->co_code=635;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Les Eboulements";
			break;
		
		case 636:
			area->npa=418;
			area->co_code=636;
			area->ocn=8237;
			area->company="Sogetel Inc.";
			area->status="In Service";
			area->rate_center="Saint-Luc";
			break;
		
		case 637:
			area->npa=418;
			area->co_code=637;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Felicien";
			break;
		
		case 638:
			area->npa=418;
			area->co_code=638;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Simeon";
			break;
		
		case 639:
			area->npa=418;
			area->co_code=639;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Urbain";
			break;
		
		case 640:
			area->npa=418;
			area->co_code=640;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 641:
			area->npa=418;
			area->co_code=641;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 642:
			area->npa=418;
			area->co_code=642;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Malachie";
			break;
		
		case 643:
			area->npa=418;
			area->co_code=643;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 644:
			area->npa=418;
			area->co_code=644;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 645:
			area->npa=418;
			area->co_code=645;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Barachois";
			break;
		
		case 646:
			area->npa=418;
			area->co_code=646;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 647:
			area->npa=418;
			area->co_code=647;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 648:
			area->npa=418;
			area->co_code=648;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 649:
			area->npa=418;
			area->co_code=649;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 650:
			area->npa=418;
			area->co_code=650;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 651:
			area->npa=418;
			area->co_code=651;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 652:
			area->npa=418;
			area->co_code=652;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 653:
			area->npa=418;
			area->co_code=653;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 654:
			area->npa=418;
			area->co_code=654;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 655:
			area->npa=418;
			area->co_code=655;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 656:
			area->npa=418;
			area->co_code=656;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 657:
			area->npa=418;
			area->co_code=657;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 658:
			area->npa=418;
			area->co_code=658;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 659:
			area->npa=418;
			area->co_code=659;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 660:
			area->npa=418;
			area->co_code=660;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 661:
			area->npa=418;
			area->co_code=661;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 662:
			area->npa=418;
			area->co_code=662;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Alma";
			break;
		
		case 663:
			area->npa=418;
			area->co_code=663;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 664:
			area->npa=418;
			area->co_code=664;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 665:
			area->npa=418;
			area->co_code=665;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="La Malbaie";
			break;
		
		case 666:
			area->npa=418;
			area->co_code=666;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 667:
			area->npa=418;
			area->co_code=667;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 668:
			area->npa=418;
			area->co_code=668;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Alma";
			break;
		
		case 669:
			area->npa=418;
			area->co_code=669;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Alma";
			break;
		
		case 670:
			area->npa=418;
			area->co_code=670;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 671:
			area->npa=418;
			area->co_code=671;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Felicien";
			break;
		
		case 672:
			area->npa=418;
			area->co_code=672;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Ambroise-De-Chicoutimi";
			break;
		
		case 673:
			area->npa=418;
			area->co_code=673;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Honore (Chicoutimi Co.)";
			break;
		
		case 674:
			area->npa=418;
			area->co_code=674;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Fulgence";
			break;
		
		case 675:
			area->npa=418;
			area->co_code=675;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Rose-Du-Nord";
			break;
		
		case 676:
			area->npa=418;
			area->co_code=676;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ferland";
			break;
		
		case 677:
			area->npa=418;
			area->co_code=677;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="La Baie (Chicoutimi Co.)";
			break;
		
		case 678:
			area->npa=418;
			area->co_code=678;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Laterriere";
			break;
		
		case 679:
			area->npa=418;
			area->co_code=679;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Felicien";
			break;
		
		case 680:
			area->npa=418;
			area->co_code=680;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Chandler";
			break;
		
		case 681:
			area->npa=418;
			area->co_code=681;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 682:
			area->npa=418;
			area->co_code=682;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 683:
			area->npa=418;
			area->co_code=683;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 684:
			area->npa=418;
			area->co_code=684;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 685:
			area->npa=418;
			area->co_code=685;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Come";
			break;
		
		case 686:
			area->npa=418;
			area->co_code=686;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 687:
			area->npa=418;
			area->co_code=687;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 688:
			area->npa=418;
			area->co_code=688;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 689:
			area->npa=418;
			area->co_code=689;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Chandler";
			break;
		
		case 690:
			area->npa=418;
			area->co_code=690;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 691:
			area->npa=418;
			area->co_code=691;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 692:
			area->npa=418;
			area->co_code=692;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 693:
			area->npa=418;
			area->co_code=693;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 694:
			area->npa=418;
			area->co_code=694;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 695:
			area->npa=418;
			area->co_code=695;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Jonquiere";
			break;
		
		case 696:
			area->npa=418;
			area->co_code=696;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 697:
			area->npa=418;
			area->co_code=697;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="La Baie (Chicoutimi Co.)";
			break;
		
		case 698:
			area->npa=418;
			area->co_code=698;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 699:
			area->npa=418;
			area->co_code=699;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Jonquiere";
			break;
		
		case 712:
			area->npa=418;
			area->co_code=712;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Rimouski";
			break;
		
		case 718:
			area->npa=418;
			area->co_code=718;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="Assigned";
			area->rate_center="Chicoutimi";
			break;
		
		case 719:
			area->npa=418;
			area->co_code=719;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Alma";
			break;
		
		case 720:
			area->npa=418;
			area->co_code=720;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Alma";
			break;
		
		case 721:
			area->npa=418;
			area->co_code=721;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Rimouski";
			break;
		
		case 722:
			area->npa=418;
			area->co_code=722;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Rimouski";
			break;
		
		case 723:
			area->npa=418;
			area->co_code=723;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Rimouski";
			break;
		
		case 724:
			area->npa=418;
			area->co_code=724;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Rimouski";
			break;
		
		case 725:
			area->npa=418;
			area->co_code=725;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Rimouski";
			break;
		
		case 726:
			area->npa=418;
			area->co_code=726;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Natashquan";
			break;
		
		case 727:
			area->npa=418;
			area->co_code=727;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Rimouski";
			break;
		
		case 728:
			area->npa=418;
			area->co_code=728;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Flavien";
			break;
		
		case 729:
			area->npa=418;
			area->co_code=729;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Les Mechins";
			break;
		
		case 730:
			area->npa=418;
			area->co_code=730;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Rimouski";
			break;
		
		case 731:
			area->npa=418;
			area->co_code=731;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Rimouski";
			break;
		
		case 732:
			area->npa=418;
			area->co_code=732;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Rimouski";
			break;
		
		case 733:
			area->npa=418;
			area->co_code=733;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Ste-Felicite";
			break;
		
		case 735:
			area->npa=418;
			area->co_code=735;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Ste-Blandine";
			break;
		
		case 736:
			area->npa=418;
			area->co_code=736;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Bic";
			break;
		
		case 737:
			area->npa=418;
			area->co_code=737;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Ulric";
			break;
		
		case 738:
			area->npa=418;
			area->co_code=738;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Simon-de-Rimouski";
			break;
		
		case 739:
			area->npa=418;
			area->co_code=739;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Luceville";
			break;
		
		case 742:
			area->npa=418;
			area->co_code=742;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Val-Brillant";
			break;
		
		case 743:
			area->npa=418;
			area->co_code=743;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Leon-le-Grand";
			break;
		
		case 744:
			area->npa=418;
			area->co_code=744;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Val-Alain";
			break;
		
		case 745:
			area->npa=418;
			area->co_code=745;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Chapais";
			break;
		
		case 748:
			area->npa=418;
			area->co_code=748;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Chibougamau";
			break;
		
		case 750:
			area->npa=418;
			area->co_code=750;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Rimouski";
			break;
		
		case 751:
			area->npa=418;
			area->co_code=751;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="New Carlisle";
			break;
		
		case 752:
			area->npa=418;
			area->co_code=752;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="New Carlisle";
			break;
		
		case 756:
			area->npa=418;
			area->co_code=756;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Causapscal";
			break;
		
		case 759:
			area->npa=418;
			area->co_code=759;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Maria";
			break;
		
		case 763:
			area->npa=418;
			area->co_code=763;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Ste-Anne-des-Monts";
			break;
		
		case 764:
			area->npa=418;
			area->co_code=764;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Ste-Anne-Des-Monts";
			break;
		
		case 766:
			area->npa=418;
			area->co_code=766;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Port-Cartier";
			break;
		
		case 768:
			area->npa=418;
			area->co_code=768;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Port-Cartier";
			break;
		
		case 770:
			area->npa=418;
			area->co_code=770;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Chibougamau";
			break;
		
		case 772:
			area->npa=418;
			area->co_code=772;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Baie-des-Sables";
			break;
		
		case 773:
			area->npa=418;
			area->co_code=773;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Mutton Bay";
			break;
		
		case 774:
			area->npa=418;
			area->co_code=774;
			area->ocn=8237;
			area->company="Sogetel Inc.";
			area->status="In Service";
			area->rate_center="Beauceville";
			break;
		
		case 775:
			area->npa=418;
			area->co_code=775;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Mont-Joli";
			break;
		
		case 776:
			area->npa=418;
			area->co_code=776;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Moise";
			break;
		
		case 777:
			area->npa=418;
			area->co_code=777;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Newport";
			break;
		
		case 778:
			area->npa=418;
			area->co_code=778;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Lac-au-Saumon";
			break;
		
		case 779:
			area->npa=418;
			area->co_code=779;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Esprit-Saint";
			break;
		
		case 780:
			area->npa=418;
			area->co_code=780;
			area->ocn=2243;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 782:
			area->npa=418;
			area->co_code=782;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Perce";
			break;
		
		case 783:
			area->npa=418;
			area->co_code=783;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Perce";
			break;
		
		case 784:
			area->npa=418;
			area->co_code=784;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Murdochville";
			break;
		
		case 785:
			area->npa=418;
			area->co_code=785;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Mont-Joli";
			break;
		
		case 786:
			area->npa=418;
			area->co_code=786;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Cap-Chat";
			break;
		
		case 787:
			area->npa=418;
			area->co_code=787;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Chevery";
			break;
		
		case 788:
			area->npa=418;
			area->co_code=788;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Pointe-a-la-Croix";
			break;
		
		case 789:
			area->npa=418;
			area->co_code=789;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Damien-de-Buckland";
			break;
		
		case 794:
			area->npa=418;
			area->co_code=794;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Nouvelle";
			break;
		
		case 795:
			area->npa=418;
			area->co_code=795;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Harrington Harbour";
			break;
		
		case 796:
			area->npa=418;
			area->co_code=796;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Eduoard-de-Lotbiniere";
			break;
		
		case 797:
			area->npa=418;
			area->co_code=797;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Mont-Louis";
			break;
		
		case 798:
			area->npa=418;
			area->co_code=798;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Gabriel";
			break;
		
		case 799:
			area->npa=418;
			area->co_code=799;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Pentecote";
			break;
		
		case 801:
			area->npa=418;
			area->co_code=801;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 802:
			area->npa=418;
			area->co_code=802;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 803:
			area->npa=418;
			area->co_code=803;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 806:
			area->npa=418;
			area->co_code=806;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 808:
			area->npa=418;
			area->co_code=808;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 812:
			area->npa=418;
			area->co_code=812;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 813:
			area->npa=418;
			area->co_code=813;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Pont-Rouge";
			break;
		
		case 814:
			area->npa=418;
			area->co_code=814;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Thetford Mines";
			break;
		
		case 818:
			area->npa=418;
			area->co_code=818;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 820:
			area->npa=418;
			area->co_code=820;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chicoutimi";
			break;
		
		case 821:
			area->npa=418;
			area->co_code=821;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 822:
			area->npa=418;
			area->co_code=822;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Boischatel";
			break;
		
		case 823:
			area->npa=418;
			area->co_code=823;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Tite-Des-Caps";
			break;
		
		case 824:
			area->npa=418;
			area->co_code=824;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Chateau-Richer";
			break;
		
		case 825:
			area->npa=418;
			area->co_code=825;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Brigitte-De-Laval";
			break;
		
		case 826:
			area->npa=418;
			area->co_code=826;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Fereol";
			break;
		
		case 827:
			area->npa=418;
			area->co_code=827;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Anne-De-Beaupre";
			break;
		
		case 828:
			area->npa=418;
			area->co_code=828;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Petronille";
			break;
		
		case 829:
			area->npa=418;
			area->co_code=829;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jean-ile-d'Orleans";
			break;
		
		case 831:
			area->npa=418;
			area->co_code=831;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Nicolas";
			break;
		
		case 832:
			area->npa=418;
			area->co_code=832;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Charny";
			break;
		
		case 833:
			area->npa=418;
			area->co_code=833;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Levis";
			break;
		
		case 834:
			area->npa=418;
			area->co_code=834;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Levis";
			break;
		
		case 835:
			area->npa=418;
			area->co_code=835;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Levis";
			break;
		
		case 836:
			area->npa=418;
			area->co_code=836;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Nicolas";
			break;
		
		case 837:
			area->npa=418;
			area->co_code=837;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Levis";
			break;
		
		case 838:
			area->npa=418;
			area->co_code=838;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Levis";
			break;
		
		case 839:
			area->npa=418;
			area->co_code=839;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Levis";
			break;
		
		case 840:
			area->npa=418;
			area->co_code=840;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Loretteville";
			break;
		
		case 841:
			area->npa=418;
			area->co_code=841;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Notre-Dame-Des-Laurentides";
			break;
		
		case 842:
			area->npa=418;
			area->co_code=842;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Loretteville";
			break;
		
		case 843:
			area->npa=418;
			area->co_code=843;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Loretteville";
			break;
		
		case 844:
			area->npa=418;
			area->co_code=844;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Valcartier";
			break;
		
		case 845:
			area->npa=418;
			area->co_code=845;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Loretteville";
			break;
		
		case 846:
			area->npa=418;
			area->co_code=846;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Parc-Des-Laurentides";
			break;
		
		case 847:
			area->npa=418;
			area->co_code=847;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Loretteville";
			break;
		
		case 848:
			area->npa=418;
			area->co_code=848;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Stoneham";
			break;
		
		case 849:
			area->npa=418;
			area->co_code=849;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Notre-Dame-Des-Laurentides";
			break;
		
		case 850:
			area->npa=418;
			area->co_code=850;
			area->ocn=4849;
			area->company="Axxent Corp.";
			area->status="In Service";
			area->rate_center="Loretteville";
			break;
		
		case 851:
			area->npa=418;
			area->co_code=851;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Pistoles";
			break;
		
		case 852:
			area->npa=418;
			area->co_code=852;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Pacome";
			break;
		
		case 853:
			area->npa=418;
			area->co_code=853;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ville Degelis";
			break;
		
		case 854:
			area->npa=418;
			area->co_code=854;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Cabano";
			break;
		
		case 855:
			area->npa=418;
			area->co_code=855;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Squatec";
			break;
		
		case 856:
			area->npa=418;
			area->co_code=856;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="La Pocatiere";
			break;
		
		case 857:
			area->npa=418;
			area->co_code=857;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Trois-Pistoles";
			break;
		
		case 858:
			area->npa=418;
			area->co_code=858;
			area->ocn=4849;
			area->company="Axxent Corp.";
			area->status="In Service";
			area->rate_center="Levis";
			break;
		
		case 859:
			area->npa=418;
			area->co_code=859;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Elethere";
			break;
		
		case 860:
			area->npa=418;
			area->co_code=860;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Riviere-Du-Loup";
			break;
		
		case 861:
			area->npa=418;
			area->co_code=861;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 862:
			area->npa=418;
			area->co_code=862;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Riviere-Du-Loup";
			break;
		
		case 863:
			area->npa=418;
			area->co_code=863;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Riviere-Du-Loup";
			break;
		
		case 864:
			area->npa=418;
			area->co_code=864;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 865:
			area->npa=418;
			area->co_code=865;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Matapedia";
			break;
		
		case 866:
			area->npa=418;
			area->co_code=866;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Riviere-Du-Loup";
			break;
		
		case 867:
			area->npa=418;
			area->co_code=867;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Riviere-Du-Loup";
			break;
		
		case 868:
			area->npa=418;
			area->co_code=868;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Riviere-Du-Loup";
			break;
		
		case 869:
			area->npa=418;
			area->co_code=869;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Fabien";
			break;
		
		case 870:
			area->npa=418;
			area->co_code=870;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Augustin de Desmaures";
			break;
		
		case 871:
			area->npa=418;
			area->co_code=871;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 872:
			area->npa=418;
			area->co_code=872;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 873:
			area->npa=418;
			area->co_code=873;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Pont-Rouge";
			break;
		
		case 874:
			area->npa=418;
			area->co_code=874;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 875:
			area->npa=418;
			area->co_code=875;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Catherine";
			break;
		
		case 876:
			area->npa=418;
			area->co_code=876;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Neuville";
			break;
		
		case 877:
			area->npa=418;
			area->co_code=877;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 878:
			area->npa=418;
			area->co_code=878;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Augustin de Desmaures";
			break;
		
		case 879:
			area->npa=418;
			area->co_code=879;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="St-Felicien";
			break;
		
		case 880:
			area->npa=418;
			area->co_code=880;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Augustin de Desmaures";
			break;
		
		case 881:
			area->npa=418;
			area->co_code=881;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Apollonaire";
			break;
		
		case 882:
			area->npa=418;
			area->co_code=882;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Henri-De-Levis";
			break;
		
		case 883:
			area->npa=418;
			area->co_code=883;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Ste-Claire-De-Dorchester";
			break;
		
		case 884:
			area->npa=418;
			area->co_code=884;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Michel";
			break;
		
		case 885:
			area->npa=418;
			area->co_code=885;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Anselme";
			break;
		
		case 886:
			area->npa=418;
			area->co_code=886;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Antoinne-de-Tilly";
			break;
		
		case 887:
			area->npa=418;
			area->co_code=887;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Charles";
			break;
		
		case 888:
			area->npa=418;
			area->co_code=888;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Agapit";
			break;
		
		case 889:
			area->npa=418;
			area->co_code=889;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 890:
			area->npa=418;
			area->co_code=890;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 891:
			area->npa=418;
			area->co_code=891;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Henri-De-Levis";
			break;
		
		case 892:
			area->npa=418;
			area->co_code=892;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Cap-des-Rosiers";
			break;
		
		case 893:
			area->npa=418;
			area->co_code=893;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Riviere-Bleue";
			break;
		
		case 894:
			area->npa=418;
			area->co_code=894;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Riviere-Du-Loup";
			break;
		
		case 895:
			area->npa=418;
			area->co_code=895;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Henri-De-Levis";
			break;
		
		case 896:
			area->npa=418;
			area->co_code=896;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Rimouski";
			break;
		
		case 898:
			area->npa=418;
			area->co_code=898;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="L'Ile Verte";
			break;
		
		case 899:
			area->npa=418;
			area->co_code=899;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Notre-Dame-Du-Lac";
			break;
		
		case 907:
			area->npa=418;
			area->co_code=907;
			area->ocn=4849;
			area->company="Axxent Corp.";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 918:
			area->npa=418;
			area->co_code=918;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Agapit";
			break;
		
		case 920:
			area->npa=418;
			area->co_code=920;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Baie-Trinite";
			break;
		
		case 923:
			area->npa=418;
			area->co_code=923;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Mistassini";
			break;
		
		case 926:
			area->npa=418;
			area->co_code=926;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Ste-Croix";
			break;
		
		case 927:
			area->npa=418;
			area->co_code=927;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Moisie";
			break;
		
		case 932:
			area->npa=418;
			area->co_code=932;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="Assigned";
			area->rate_center="Quebec";
			break;
		
		case 933:
			area->npa=418;
			area->co_code=933;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="Assigned";
			area->rate_center="Quebec";
			break;
		
		case 935:
			area->npa=418;
			area->co_code=935;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Ste-Henedine";
			break;
		
		case 936:
			area->npa=418;
			area->co_code=936;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Les Boules";
			break;
		
		case 937:
			area->npa=418;
			area->co_code=937;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Havre-Aubert";
			break;
		
		case 939:
			area->npa=418;
			area->co_code=939;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Baie-Trinite";
			break;
		
		case 947:
			area->npa=418;
			area->co_code=947;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Augustin (Duplessis)";
			break;
		
		case 948:
			area->npa=418;
			area->co_code=948;
			area->ocn=8506;
			area->company="GT Group Telecom Services Corp.";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 949:
			area->npa=418;
			area->co_code=949;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Riviere-St-Jean";
			break;
		
		case 951:
			area->npa=418;
			area->co_code=951;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 952:
			area->npa=418;
			area->co_code=952;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 953:
			area->npa=418;
			area->co_code=953;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 955:
			area->npa=418;
			area->co_code=955;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 961:
			area->npa=418;
			area->co_code=961;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Sept-Iles";
			break;
		
		case 962:
			area->npa=418;
			area->co_code=962;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Sept-Iles";
			break;
		
		case 963:
			area->npa=418;
			area->co_code=963;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jean-De-Dieu";
			break;
		
		case 964:
			area->npa=418;
			area->co_code=964;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Sept-Iles";
			break;
		
		case 965:
			area->npa=418;
			area->co_code=965;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Sept-Iles";
			break;
		
		case 968:
			area->npa=418;
			area->co_code=968;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Sept-Iles";
			break;
		
		case 969:
			area->npa=418;
			area->co_code=969;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Havre-aux-Maisons";
			break;
		
		case 981:
			area->npa=418;
			area->co_code=981;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="Assigned";
			area->rate_center="St-Apollonaire";
			break;
		
		case 983:
			area->npa=418;
			area->co_code=983;
			area->ocn=8083;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Ste-Claire-De-Dorchester";
			break;
		
		case 985:
			area->npa=418;
			area->co_code=985;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Grande-Entree";
			break;
		
		case 986:
			area->npa=418;
			area->co_code=986;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Cap-aux-Meules";
			break;
		
		case 990:
			area->npa=418;
			area->co_code=990;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		case 997:
			area->npa=418;
			area->co_code=997;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="Assigned";
			area->rate_center="Quebec";
			break;
		
		case 998:
			area->npa=418;
			area->co_code=998;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="Assigned";
			area->rate_center="Quebec";
			break;
		
		case 999:
			area->npa=418;
			area->co_code=999;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Quebec";
			break;
		
		default: return -1;
	}
	return 0;
}
